@extends('layouts.app')

@section('title')
    Schedule Plan Detail
@stop

@section('breadcrumb')
    <ol class="breadcrumb pull-right">
        <li><a href="{{ route('home') }}"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="">Schedule Plan</a></li>

    </ol>
@stop
@section('content')
    <div class="container-fluid">

        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">
                    <div class="pull-right" style="margin-top: 10px;">
                        
                            <a href="{{ route('schedule.create') }}" class="btn  btn-primary">
                                <i class="fa fa-plus-square"></i>&nbsp; Add New Schedule Plan
                            </a>
                       

                    </div>
                    <h3 class="box-title">All Schedule Plans List</h3>

                    <div class="table-responsive">
                        <table id="myTable" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Schedule Plan Name</th>
                                  
                                     
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count = 1; ?>
                               

                                @foreach ($plan as $p)
                                    <tr>
                                        <td>{{ $count++ }}</td>
                                        <td><span class='label label-success'>{{ $p->name }}</span></td>
                                      
                                    
                                        <td class="text-nowrap">
                                            
                                            <a href="{{route('specific.schedule',$p->id)}}"
                                                data-toggle="tooltip" data-original-title="View"> <i
                                                    class="fa fa-eye text-inverse m-r-10"></i>&nbsp;&nbsp;</a>


                                        
                                            <a href="{{route('schedule.editView',$p->id)}}" data-toggle="tooltip"
                                                datza-original-title="Edit"> <i
                                                    class="fa fa-pencil text-inverse m-r-10"></i></a>
                                        
                                         </td>

                                        
                                    </tr>
                                @endforeach

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->



@stop
