 @extends('layouts.app' )

@section('title')
Add New Account
@stop

@section('breadcrumb')
<ol class="breadcrumb pull-right">
        <li><a href="{{route('home')}}"><i class="fa fa-dashboard"></i> Home</a></li>
        

        <li class="active">Add Account</li>
      </ol>
@stop
@section('content')

<div class="container-fluid">
                <!--.row-->
                <div class="row">

                    <div class="col-md-12">
                        <div class="white-box">
                            <h3 class="box-title m-b-0"><i class="icon-user fa-fw"></i> Add Control Account</h3>
                            <p class="text-muted m-b-30 font-13" style="height: 5px;"> Add the information </p>
                            <hr>
                            <form class="form-horizontal" action="{{route('control-account.insert')}}" method="post" enctype="multipart/form-data">
                               {{csrf_field()}}

                               <input type="hidden" name="type" value="{{$type}}" >

                               

                                <div class="form-group">
                                <label for="exampleInputuname" class="col-sm-2 control-label"> Name <span style="color: red">*</span></label>
                                <div class="col-sm-10">
                                <div class="input-group" style="width:400px">
                                
                                <input  type="text" class="form-control" name="name" value="{{old('name')}}" id="exampleInputuname" placeholder="Enter Name">
                                @if ($errors->has('name'))
                                <span class="help-block">
                                <strong>{{ $errors->first('name') }}</strong>
                                </span>
                                @endif
                                </div>
                                </div>
                                </div>
                                
                                
                                
                                <div class="form-group">
                                <label for="exampleInputuname" class="col-sm-2 control-label"> Cnic <span style="color: red">*</span></label>
                                <div class="col-sm-10">
                                <div class="input-group" style="width:400px">
                                
                                <input  type="text" class="form-control" name="cnic" value="{{old('cnic')}}" id="exampleInputuname" placeholder="Enter Cnic"  >
                                @if ($errors->has('cnic'))
                                <span class="help-block">
                                <strong>{{ $errors->first('cnic') }}</strong>
                                </span>
                                @endif
                                </div>
                                </div>
                                </div>
                                
                                
                                
                                <div class="form-group">
                                <label for="exampleInputuname" class="col-sm-2 control-label"> National Tax Number </label>
                                <div class="col-sm-10">
                                <div class="input-group" style="width:400px">
                                
                                <input  type="text" class="form-control" name="national_tax_number" value="{{old('national_tax_number')}}" id="exampleInputuname" placeholder="Enter National Tax Number">
                               
                                </div>
                                </div>
                                </div>
                                
                                
                                
                                <div class="form-group">
                                <label for="exampleInputuname" class="col-sm-2 control-label"> Address </label>
                                <div class="col-sm-10">
                                <div class="input-group" style="width:400px">
                                
                                <textarea class="form-control" name="address" placeholder="Enter Address..."></textarea>
                                @if ($errors->has('address'))
                                <span class="help-block">
                                <strong>{{ $errors->first('address') }}</strong>
                                </span>
                                @endif
                                </div>
                                </div>
                                </div>

                                <div class="form-group">
                                <label for="exampleInputuname" class="col-sm-2 control-label"> Representive Name </label>
                                <div class="col-sm-10">
                                <div class="input-group" style="width:400px">
                                
                                <input  type="text" class="form-control" name="rep_name" value="{{old('rep_name')}}" id="exampleInputuname" placeholder="Enter Rep Name">
                                @if ($errors->has('rep_name'))
                                <span class="help-block">
                                <strong>{{ $errors->first('rep_name') }}</strong>
                                </span>
                                @endif
                                </div>
                                </div>
                                </div>
                                
                                @if($type == \App\ControlAccount::VENDOR)
                                
                                <div class="form-group">
                                <label for="exampleInputuname" class="col-sm-2 control-label"> Vendor Type <span style="color: red">*</span></label>
                                <div class="col-sm-10">
                                <div class="input-group" style="width: 400px">
                                
                                <select class="form-control chosen-select" name="vendor_type">
                                <option value="{{\App\ControlAccount::TRADING}}">Trading</option>
                                <option value="{{\App\ControlAccount::NON_TRADING}}">Non Trading</option>
                                </select>
                                
                                </div>
                                </div>
                                </div>

                                <div class="form-group">
                                <label for="exampleInputuname" class="col-sm-2 control-label"> Agreement </label>
                                <div class="col-sm-10">
                                <div class="input-group" style="width:400px">
                                
                                <input  type="file" class="form-control" name="file"  id="exampleInputuname" placeholder="Enter Vendor Agreement">
                                
                                </div>
                                </div>
                                </div>



                                @endif

                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label"> Description </label>
                                    <div class="col-sm-10">
                                        <div class="input-group" style="width:400px; height: 87px;">

                                            <textarea class="form-control" name="description" placeholder="Enter Description..."></textarea>
                                        @if ($errors->has('description'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('description') }}</strong>
                                    </span>
                                @endif
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-info waves-effect waves-light m-t-10" style="width: 20%; margin-left: 300px;">Save</button>
                                    </div>
                                </div>

                                
                                    <div class="col-sm-4">&nbsp;</div>
                                        <div class="col-sm-4">
                              
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <!--./row-->
            </div>
            <!-- /.container-fluid -->

@stop