

<?php $__env->startSection('title'); ?>
Commission Report 
<?php $__env->stopSection(); ?>


<?php $__env->startSection('breadcrumb'); ?>
<ol class="breadcrumb pull-right no-print">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>

        <li class="active">Commission Report</li>
      </ol>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<style type="text/css">
     @media  print {
        .page-wrapper{
        font-size: 12px !important;
        font-family: "time-new-roman",Arial,sans-serif !important;
        padding-top: 0px !important;
        color:black;
    }
   .printableArea {
        color: black;
    }
    strong{
        color: black;
    }
    .pd-5{
        padding:5px;
    }
    .br-btm {
           border-bottom: 1px solid #e6e3e3;
    }
    /*.br-right {
         border-right: 1px solid #e6e3e3;
    }*/
    .txt-c {
        text-align: center;
    }
    .white-box{
        border: none!important;
        padding: 0 3px 0 0px;
    }
     .dataTables_info{
        display: none;
    }
    .dataTables_filter{
        display: none;
    }
    div.dt-buttons{
        display: none;
    }
    table.dataTable thead th {
    border: 1px solid #f2f2f2 !important;
    }
    .table>tbody>tr>td {
     border: 1px solid #f2f2f2 !important; 
    }
    .bor .border-d{
        border-bottom: double !important;
        border-top: 1px solid !important;
    }
    h3 strong{
        text-transform: uppercase;
    }
    h4 strong{
        text-transform: uppercase;
    }
    h3{
        margin-bottom: -10px;
    }
    table.dataTable.no-footer {
    border-bottom: none !important;
    }
    .table>tbody>tr>td, .table>tbody>tr>th {
    font-size: 12px;
    }
    .page-wrapper {
    padding-top: 0px;
    }
    .white-box1{
        padding: 0;
    }
      .bdr thead tr th  {
    border: 1px solid #2e3233 !important;
    background: #eee;
    }
    .table>thead:first-child>tr:first-child>th {
    border-top: 1px solid !important;
}
    }
</style>

<!-- <link href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.min.css" rel="stylesheet"> -->
<link href="https://cdn.datatables.net/buttons/1.7.0/css/buttons.dataTables.min.css"  rel="stylesheet">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="container-fluid">
                <div class="row printableArea">
                    <div class="col-lg-12  ">
                    <div class="white-box">
                        <div class="text-center">
                            <h3><strong>
                                <?php $__currentLoopData = $project_names; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $project_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php echo e($project_name); ?>

                                <?php if($key < count($project_names) - 1): ?>
                                    , 
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>    
                            </strong></h3>
                            <h4><strong>Commission Report</strong></h4>
                             <h6><?php echo e(date(('d/m/Y'),strtotime($from_date))); ?> - <?php echo e(date(('d/m/Y'),strtotime($to_date))); ?></h6>
                        </div>

                        <div class="pull-right printFV" >
                            <span>Date: <b><?php echo e(date('d/m/Y')); ?></b></span><br>

                            <span>User ID: &nbsp; <?php echo e(Auth::user()->name); ?></span>
                        </div>


                           <div class="table-responsive" style="clear: both;">

                            <form method="post" style="" action="<?php echo e(route('report.commission-amount-generate')); ?>" class="no-print">
                                  <?php echo e(csrf_field()); ?>

                                    <div class="row">
                                        <div class="col-lg-5">
                                            
                                            <input type="hidden" value="<?php echo e($selected_date_range); ?>" name="date_range">
                                            <input type="hidden" value="<?php echo e($multipro_id); ?>" name="multipro_id">
                                            <select class="form-control chosen-select" name="block">
                                            <option value="">All Blocks</option>
                                            <?php $__currentLoopData = $unit_blocks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit_block): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option <?= ($block == $unit_block->id) ? 'selected' : '' ?> value="<?php echo e($unit_block->id); ?>"><?php echo e($unit_block->name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>


                                        <div class="col-lg-2">
                                           <input type="submit" value="Filter" class="btn btn-success">
                                        </div>


                                    </div>
                                </form>


                                <table id="example1"  class="table bdr">
                                    <thead>
                                        <tr>
                                            <th >Sr No.</th>
                                            <th >Date</th>
                                            <th >Unit No.</th>
                                            <th >Unit Floor.</th>
                                            <th >Unit Block.</th>
                                            <th >Dealer</th>
                                            <th class="text-center">Unit Cost</th>
                                            <th class="text-center">Discount</th>
                                            <th class="text-center">Net Price</th>
                                            <th class="text-center">Commission Amount</th>

                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $total_amount = 0; $count = 1;  $discount_total = 0; $unit_cost_total = 0; $net_total = 0; $commission_total = 0;?>
                                        <?php $__currentLoopData = $transactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $t): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                        <?php if($t->property): ?>
                                        <?php if($t->property->inventory->floor): ?>

                                        <?php if( ($filter_type == 'filter' && $block > 0 && $block == $t->property->inventory->floor->unitBlock->id) || $filter_type == 'all' ): ?>

                                        <tr>
                                            <td><?php echo e($count++); ?></td>
                                            <td> <?php echo e(date('d/m/Y', strtotime($t->created_at))); ?></td>
                                            <td >
                                                <?php if($t->property): ?>
                                                  <?php if($t->property->inventory): ?>
                                                    
                                                 <b><?php echo e($t->property->inventory->unit_number); ?></b>
                                                 <?php endif; ?>
                                                 <?php endif; ?>
                                        </td>

                                        <td >
                                            <?php if($t->property): ?>
                                            <?php if($t->property->inventory): ?>
                                                 <b><?php echo e($t->property->inventory->floor?$t->property->inventory->floor->name:''); ?></b>
                                                 <?php endif; ?>
                                                 <?php endif; ?>
                                        </td>

                                        <td >
                                            <?php if($t->property): ?>
                                            <?php if($t->property->inventory): ?>
                                            <?php if($t->property->inventory->floor): ?>

                                                 <b><?php echo e($t->property->inventory->floor->unitBlock?$t->property->inventory->floor->unitBlock->name:''); ?></b>
                                              <?php endif; ?>
                                              <?php endif; ?>
                                              <?php endif; ?>
                                                </td>

                                            <td ><?php echo e($t->dealer ? $t->dealer->name : ''); ?></td>
                                            
                                            <td  class="text-right">
                                                 <?php 
                                                 if($t->property){
                                                    $unit_cost_total  +=$t->property->inventory->total_price;  
                                                 }
                                                 else{
                                                    $unit_cost_total  += 0;
                                                 }
                                                    ?>
                                                <?php if($t->property): ?>
                                               <?php echo e(number_format($t->property->inventory->total_price)); ?>

                                               <?php endif; ?>
                                            </td>
                                            
                                             <td class="text-center">
                                                   <?php 
                                                   if($t->property){
                                                    $discount_total  +=$t->property->inventory->total_price - $t->property->net_pay;  
                                                   }
                                                   else{
                                                    $discount_total  +=0;
                                                   }
                                                    ?>
                                                    <?php if($t->property): ?>
                                             <?php echo e(number_format($t->property->inventory->total_price - $t->property->net_pay )); ?> 
                                             <?php endif; ?>
                                            </td>
                                            
                                            <td class="text-center">
                                            <?php if($t->property): ?>
                                                <?php $net_total  +=$t->property->net_pay;  ?>
                                                <?php if($t->property): ?><?php echo e(number_format($t->property->net_pay)); ?>

                                                <?php endif; ?>
                                            <?php endif; ?>
                                            </td>


                                            <td  class="text-right">
                                                <?php 
                                                
                                                    $commission_total  +=$t->amount;  
                                                    ?>
                                                <?php echo e(number_format($t->amount)); ?>

                                            </td  >

                                            <?php $total_amount +=$t->amount;?>
                                        </tr>

                                        <?php endif; ?>
                                        <?php endif; ?>
                                        <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        
                                        <tr>
                                            <td colspan="6" class="text-right"><b>Total</b></td>
                                            <td class="text-right"><b><?php echo e(number_format($unit_cost_total)); ?></b></td>
                                            <td class="text-right"><b><?php echo e(number_format($discount_total)); ?></b></td>
                                            <td class="text-right"><b><?php echo e(number_format($net_total)); ?></b></td>
                                            <td class="text-right"><b><?php echo e(number_format($commission_total)); ?></b></td>
                                        </tr>
                                        
                                        
                                        
                                        <tr>
                                            <td colspan="9" class="text-right"><b>Total Commission Amount</b></td>
                                            <td class="text-right"><b><?php echo e(number_format($total_amount)); ?></b></td>
                                        </tr>
                                         <tr>
                                            <td colspan="9" class="text-right"><b>Total Paid Commission</b></td>
                                            <td class="text-right"><b><?php echo e(number_format($paid_amount)); ?></b></td>
                                        </tr>
                                        <tr>
                                            <td colspan="9" class="text-right"><b>Total Payable Commission</b></td>
                                            <td class="text-right"><b><?php echo e(number_format($total_amount - $paid_amount)); ?></b></td>
                                        </tr> 
                                    </tbody>
                                </table>
                        </div>
                    </div>
                </div>

            </div>
            <!-- /.container-fluid -->

            <div class="text-right" style="height:70px;">
                                        <button  class="btn btn-default btn-outline no-print" onclick="window.print();return false;" type="button"> <span><i class="fa fa-print"></i> Print</span> </button>
                                    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<script src="<?php echo e(asset('js/jquery.PrintArea.js')); ?>" type="text/JavaScript"></script>
<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
 <script src="https://cdn.datatables.net/buttons/1.7.0/js/dataTables.buttons.min.js"></script>
 <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
 <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
 <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
 <script src="https://cdn.datatables.net/buttons/1.7.0/js/buttons.html5.min.js"></script>
  <script src="https://cdn.datatables.net/buttons/1.7.0/js/buttons.print.min.js"></script>

<script>
    $(function() {
        $("#print").on("click", function() {
            var mode = 'iframe'; //popup
            var close = mode == "popup";
            var options = {
                mode: mode,
                popClose: close
            };
            $("div.printableArea").printArea(options);
        });
    });

    $('#example1').DataTable( {
        sorting:false,
        paging:false,
        ordering:false,
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
    } );
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/proje372/akram-city.projecterp.net/resources/views/report/commission-amount.blade.php ENDPATH**/ ?>