

<?php $__env->startSection('title'); ?>
    All Cancel Units
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
    <ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>

        <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'view-cancellation')): ?>
        <li><a href="<?php echo e(route('statement.cancel')); ?>">All Block Units</a></li>
    <?php endif; ?>
    <li class="active"> Block Unit History </li>
    </ol>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>

    <link href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.min.css" rel="stylesheet">
    <link href="https://cdn.datatables.net/buttons/1.7.0/css/buttons.dataTables.min.css" rel="stylesheet">

    <style>
        table.dataTable thead .sorting_asc {
            background-image: none !important;
        }

        .table.dataTable,
        table.dataTable {
            width: 99.8% !important;
        }
    </style>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>


    <div class="container-fluid">
        <!-- /row -->



        <div class="row" id="update-table">
            <div class="col-sm-12">
                <div class="white-box">
                    <div class="pull-right">
                        

                       
                    </div>

                    <h3 class="box-title">Blocked Unit History</h3>

                    <div class="table-responsive">
                        <table id="myTable" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>


                                   
                                   
                                    <th>Member Name</th>
                                    <th>Unit #</th>
                                    
                                    <th>Blocked Date</th>
                                   
                                  
                                    
                                    
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count = 1; ?>

                              
                                <?php $__currentLoopData = $block_unit_log; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $statement): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($count++); ?></td>


                                    <?php
                                  $customer=unserialize($statement->customer_detail);
                               
                                    ?>
                                    <td><?php echo e($customer['name']); ?>--<?php echo e($customer['cnic']); ?></td>
                                    <?php
                                    $unit=unserialize($statement->unit_detail);
                                
                                      ?>
                                    <td><?php echo e($unit['unit_plot_no']); ?></td>
                                    <td><?php echo e($statement->block_date); ?></td>

                                                                           
                                  

                                  


                                  
                                 
                                     

                                    


                                    

                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                



                               

                            </tbody>
                        </table>
                        <div style="float: right;"><?php echo e($block_unit_log->links()); ?></div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->


<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>

    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.7.0/js/dataTables.buttons.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.7.0/js/buttons.html5.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.7.0/js/buttons.print.min.js"></script>

    <script>
       
        $(function() {
            $('#myTable').DataTable({
                'pageLength': 25,
                'paging': false,
                'searching': false,
                'info': false,
                'dom': 'Bfrtip',
                'buttons': [
                    'copy', 'csv', 'excel', 'pdf', 'print'
                ]
            });
        });
    </script>
 
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/proje372/akram-city.projecterp.net/resources/views/statement/block/blocklistlog.blade.php ENDPATH**/ ?>