

<?php $__env->startSection('title'); ?>
    Add New Type
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
    <ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
        <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'view-unit-type')): ?>
            <li><a href="<?php echo e(route('unit.type.all')); ?>"> Types </a></li>
        <?php endif; ?>
        <li class="active">Add Type</li>
    </ol>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <div class="container-fluid">
        <!--.row-->
        <div class="row">

            <div class="col-md-12">
                <div class="white-box">
                    <h3 class="box-title m-b-0" style="font-size: 18px; "><i class="fa fa-home"
                            aria-hidden="true"></i>&nbsp;Add New Type</h3>
                    <p class="text-muted m-b-30 font-13" style="height: 5px;"> Add the information </p>
                    <hr>
                    <form class="form-horizontal" action="<?php echo e(route('unit.type.insert')); ?>" method="post"
                        style="margin-top: 30px; margin-bottom: 30px;">
                        <?php echo e(csrf_field()); ?>


                        <div class="form-group">
                            <label for="exampleInputuname" class="col-sm-2 control-label"> Name <span
                                    style="color: red">*</span></label>
                            <div class="col-sm-10">
                                <div class="input-group" style="width:400px">

                                    <input type="text" class="form-control" name="name" value="<?php echo e(old('name')); ?>"
                                        id="exampleInputuname" placeholder="Enter Name">
                                    <?php if($errors->has('name')): ?>
                                        <span class="help-block">
                                            <strong><?php echo e($errors->first('name')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="inputPassword3" class="col-sm-2 control-label">Type<span
                                    style="color: red">*</span></label>
                            <div class="col-sm-10">
                                <div class="input-group" style="width: 400px;">
                                    <select class="form-control chosen-select" style="width:300px" name="projecttype_id">
                                     
                                        <?php $__currentLoopData = $project_type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if(old('projecttype_id') == $type->id): ?>
                                        <option value="<?php echo e($type->id); ?>" selected><?php echo e($type->name); ?> </option>
                                        <?php else: ?>
                                        <option value="<?php echo e($type->id); ?>"  ><?php echo e($type->name); ?> </option>
                                        <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     
                                    </select>

                                    <?php if($errors->has('projecttype_id')): ?>
                                        <span class="help-block">
                                            <strong><?php echo e($errors->first('projecttype_id')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="inputPassword3" class="col-sm-2 control-label">Status<span
                                    style="color: red">*</span></label>
                            <div class="col-sm-10">
                                <div class="input-group" style="width: 400px;">
                                    <select class="form-control chosen-select" style="width:300px" name="status">
                                        <?php if(old('status')): ?>
                                            <?php if(old('status') == true): ?>
                                                <option value='1' selected="">Active</option>
                                                <option value="0">InActive</option>
                                            <?php else: ?>
                                                <option value='1'>Active</option>
                                                <option value="0"selected="">InActive</option>
                                            <?php endif; ?>
                                        <?php else: ?>
                                            <option value='1' selected="">Active</option>
                                            <option value="0">InActive</option>
                                        <?php endif; ?>

                                    </select>

                                    <?php if($errors->has('status')): ?>
                                        <span class="help-block">
                                            <strong><?php echo e($errors->first('status')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>

                        <div class="form-group m-b-0">
                            <div class="col-sm-offset-3 col-sm-2">
                                <button type="submit" class="btn btn-info waves-effect waves-light m-t-10"
                                    style="width: 100%;">Save</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!--./row-->
    </div>
    <!-- /.container-fluid -->

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/proje372/akram-city.projecterp.net/resources/views/Setting/unitType/add-type.blade.php ENDPATH**/ ?>