


<?php $__env->startSection('title'); ?>
Price List Detail 
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="<?php echo e(route('pricelist.index')); ?>">All Price List</a></li>
        <li class="active">Price List Detail</li>
      </ol>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="container-fluid">
    <?php
	$size=  '';

	if($project_type == \App\ProjectType::society){
                                               
      		$size=        \App\ProjectType::society_size;
	}
   
	else
	{
		$size=   \App\ProjectType::high_rise_size;
	}
                                            
?>
    <!-- /row -->
    <div class="row">
        <div class="col-sm-12">
            <div class="white-box">
                <h3 class="box-title">Price List Details</h3>
                <hr>
                <div class="table-responsive">
                    <table class="table">
                        <tbody>
                            <tr style="background: #F6F6F6; height: 45px;">
                                <td>Price List No:</td>
                                <td><?php echo e($pricelist->l_no); ?></td>
                            </tr>
                            <tr  style="background: #F6F6F6; height: 45px;">
                                <td>Project Type:</td>
                                <td><?php echo e($pricelist->projecttype ? $pricelist->projecttype->name  : 'NIL'); ?></td>
                            </tr>
                         
                        </tbody>
                    </table>
                    <?php if($project_type == \App\ProjectType::society): ?>
                    <table id="myTable" class="table table-striped">
                        <thead>
                            <tr>
                                <th>Sr. No.</th>
                                <th>Unit Type</th>
                                <th>Unit Size</th>
                              
                                <th>Price per <?php echo e($size); ?> (PKR)</th>
                                
                                <th>Total Price (PKR)</th>
                            </tr>
                        </thead>
                        <br><br>    
                        <tbody>
                            <?php $count = 1; ?>

                            <?php $__currentLoopData = $pricelist->pricedetail; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $p): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($count++); ?></td>
                                    <td><?php echo e($p->unittype?$p->unittype->name:''); ?></td>
                                    <td><?php echo e($p->unitSize?$p->unitSize->name:''); ?> <?php echo e($size); ?></td>
                                    <td><?php echo e($p->per_size_price); ?></td>
                                    <td><?php echo e($p->total_price); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php endif; ?>
                    <?php if($project_type == \App\ProjectType::high_rise): ?>
                    <table id="myTable" class="table table-striped">
                        <thead>
                            <tr>
                                <th>Sr. No.</th>
                                <th>Unit Floor</th>
                                <th>Unit Type</th>
                                 
                              
                                <th>Price per <?php echo e($size); ?> (PKR)</th>
                                
                                
                            </tr>
                        </thead>
                        <br><br>    
                        <tbody>
                            <?php $count = 1; ?>

                            <?php $__currentLoopData = $pricelist->pricedetail; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $p): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($count++); ?></td>
                                    <td><?php echo e($p->unitfloor? $p->unitfloor->name:''); ?></td> 
                                    <td><?php echo e($p->unittype?$p->unittype->name:''); ?></td>
                                  
                                    <td><?php echo e($p->per_size_price); ?></td>
                                    
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php endif; ?>

                </div>
            </div>
        </div>
    </div>
    <!-- /.row -->
</div>
<!-- /.container-fluid -->
<?php $__env->stopSection(); ?>
<?php echo $__env->make( 'layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\erpv7\resources\views/pricelist/detail.blade.php ENDPATH**/ ?>