

<?php $__env->startSection('title'); ?>
    Trash Box 
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
    <ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">Trash Box</li>
    </ol>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">
                    <div class="pull-right">
                        <!-- <a href="<?php echo e(route('customer.addView')); ?>" class="btn  btn-primary">
                            <i class="fa fa-plus-square"></i>&nbsp; Add new Customer
                        </a> -->
                    </div>
                    <h3 class="box-title">Customers</h3>

                    <div class="table-responsive">
                        <a href="<?php echo e(route('trash.inventory.alldeletecustomer')); ?>" class="btn  btn-primary" style="float: right;">&nbsp; Delete All</a>

                        <table id="myTable" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Member Id</th>
                                    <th>Member Name</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count =1;?>
                                <?php $__currentLoopData = $allCustomers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $customer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($count++); ?></td>
                                        <td>M<?php echo e($customer->id); ?></td>
                                    <td><a href="<?php echo e(route('customer.detail',['id'=>$customer->id])); ?>""><?php echo e($customer->name); ?></a></td>

                                    <td class="text-nowrap">
                                        <a href="<?php echo e(route('trash.customer.revert',['id'=>$customer->id])); ?>" data-toggle="tooltip" data-original-title="Revert"> <i class="fa fa-pencil text-inverse m-r-10"></i> </a>
                                        <a href="<?php echo e(route('trash.customer.delete',['id'=>$customer->id])); ?>" data-toggle="tooltip" data-original-title="Delete"> <i class="fa fa-close text-danger"></i> </a>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
        </div>
    <!-- /.container-fluid -->

    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">
                    <h3 class="box-title">All Inventories</h3>
                    <div class="table-responsive">
                        <a href="<?php echo e(route('trash.inventory.alldeleteinventory')); ?>" class="btn  btn-primary" style="float: right;">&nbsp; Delete All</a>
                        <table id="myTable1" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>Sr #</th>
                                    <th>Unit #</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count =1;?>
                                <?php $__currentLoopData = $allInventories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($count++); ?></td>
                                    <td><a href="<?php echo e(route('inventory.detail',['id'=>$i->id])); ?>"><?php echo e($i->unit_number); ?></a></td>

                                    <td class="text-nowrap">

                                        <a href="<?php echo e(route('trash.inventory.revert',['id'=>$i->id])); ?>" data-toggle="tooltip" data-original-title="Revert"> <i class="fa fa-pencil text-inverse m-r-10"></i> </a>
                                        <a href="<?php echo e(route('trash.inventory.delete',['id'=>$i->id])); ?>" data-toggle="tooltip" data-original-title="Delete"> <i class="fa fa-close text-danger"></i> </a>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->
    
    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">

                    <h3 class="box-title">All Statement</h3>

                    <div class="table-responsive">
                        <a href="<?php echo e(route('trash.inventory.alldeletemembership')); ?>" class="btn  btn-primary" style="float: right;">&nbsp; Delete All</a>

                        <table id="myTable4" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Reference #</th>
                                    <th>Unit #</th>
                                    <th>Member Name</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count =1;?>
                                <?php $__currentLoopData = $allStatements; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $statement): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr >
                                    <td>
                                        <?php echo e($count++); ?>

                                    </td>
                                    <td>
                                        <a href="<?php echo e(route('statement.detail',['id'=>$statement->id])); ?>"><?php echo e($statement->membership_no); ?></a>
                                    </td>
                                    <td>
                                        <?php echo e($statement->inventory ? $statement->inventory->unit_number : ''); ?>

                                    </td>
                                    <td>
                                        <?php echo e($statement->customer ? $statement->customer->name: ''); ?>

                                    </td>

                                    <td class="text-nowrap">
                                            <a href="<?php echo e(route('trash.membership.revert',['id'=>$statement->id])); ?>" data-toggle="tooltip" data-original-title="Revert"> <i class="fa fa-pencil text-inverse m-r-10"></i> </a>

                                        <a href="<?php echo e(route('trash.membership.delete',['id'=>$statement->id])); ?>" data-toggle="tooltip" data-original-title="Delete"> <i class="fa fa-close text-danger"></i> </a>
                                    </td>

                                </tr>

                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->

    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">
                    <h3 class="box-title">All Receipts</h3>

                    <div class="table-responsive">
                        <a href="<?php echo e(route('trash.inventory.alldeletereceipt')); ?>" class="btn  btn-primary" style="float: right;">&nbsp; Delete All</a>

                        <table id="myTable5" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>Receipt No.</th>
                                    <th>Unit No. </th>
                                    <th>Payment Head</th>
                                    <th>Received Amount </th>
                                    <th>Date</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>

                                <?php $__currentLoopData = $receipts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $receipt): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($receipt->receipt_no); ?></td>
                                    
                                    <td><?php echo e($receipt->property ? $receipt->property->inventory ? $receipt->property->inventory->unit_number : '' : ''); ?></td>


                                    <?php if($receipt->payment_head == \App\Receipt::down_payment): ?>
                                    <td>Down Payment</td>
                                    <?php elseif($receipt->payment_head == \App\Receipt::possession_fee): ?>
                                    <td>Possession Fee</td>
                                    <?php elseif($receipt->payment_head == \App\Receipt::installment): ?>
                                    <td>Installment</td>
                                    <?php elseif($receipt->payment_head == \App\Receipt::other): ?>
                                    <td>Other</td>
                                    <?php else: ?>
                                    <td></td>
                                    <?php endif; ?>

                                    <td><?php echo e(number_format($receipt->amount)); ?> PKR</td>
                                        <td> <?php echo e(date('d-m-Y', strtotime($receipt->receipt_date))); ?></td>
                                    <td class="text-nowrap">

                                        <a href="<?php echo e(route('trash.receipt.revert',['id'=>$receipt->id])); ?>" data-toggle="tooltip" data-original-title="Revert"> <i class="fa fa-pencil text-inverse m-r-10"></i> </a>
                                        <a href="<?php echo e(route('trash.receipt.delete',['id'=>$receipt->id])); ?>" data-toggle="tooltip" data-original-title="Delete"> <i class="fa fa-close text-danger"></i> </a>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->

    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">

                    <h3 class="box-title">All Dealers</h3>

                    <div class="table-responsive">
                        <a href="<?php echo e(route('trash.inventory.alldeletedealer')); ?>" class="btn  btn-primary" style="float: right;">&nbsp; Delete All</a>

                        <table id="myTable6" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Name</th>
                                    <th>Total Sale</th>
                                    <th>Total Rebate</th>
                                    <th>Paid Amount</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count =1;?>
                                <?php $__currentLoopData = $allDealers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dealer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($count++); ?></td>
                                    <td> <a href="<?php echo e(route('dealer.detail',['id'=>$dealer->id])); ?>"><b><?php echo e($dealer->name); ?></b> - <?php echo e($dealer->dealerType ? $dealer->dealerType->name : ''); ?></a></td>



                                    <td><?php echo e($dealer->total_sale ? number_format($dealer->total_sale) : 0); ?> PKR</td>
                                    <td><?php echo e($dealer->total_rebate ? number_format($dealer->total_rebate) : 0); ?> PKR</td>
                                    <td><?php echo e($dealer->total_paid_amount ? number_format($dealer->total_paid_amount) : 0); ?> PKR</td>

                                    <td class="text-nowrap">

                                        <a href="<?php echo e(route('trash.dealer.revert',['id'=>$dealer->id])); ?>" data-toggle="tooltip" data-original-title="Revert"> <i class="fa fa-pencil text-inverse m-r-10"></i> </a>
                                        <a href="<?php echo e(route('trash.dealer.delete',['id'=>$dealer->id])); ?>" data-toggle="tooltip" data-original-title="Delete"> <i class="fa fa-close text-danger"></i> </a>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->

    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">

                    <h3 class="box-title">All Dealer Rebate</h3>

                    <div class="table-responsive">
                        <a href="#" class="btn  btn-primary" style="float: right;">&nbsp; Delete All</a>

                        <table id="myTable8" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Dealer</th>
                                    <th>Amount</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count =1;?>
                                <?php $__currentLoopData = $allDealerRebate; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $no): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($count++); ?></td>
                                    <td><?php echo e($no->dealer->name); ?></td>
                                    <td><?php echo e($no->amount); ?></td>
                                    <td class="text-nowrap">

                                        <a href="<?php echo e(route('trash.dealerRebate.revert',['id'=>$no->id])); ?>" data-toggle="tooltip" data-original-title="Revert"> <i class="fa fa-pencil text-inverse m-r-10"></i> </a>
                                        <a href="<?php echo e(route('trash.dealerRebate.delete',['id'=>$no->id])); ?>" data-toggle="tooltip" data-original-title="Delete"> <i class="fa fa-close text-danger"></i> </a>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->

    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">

                    <h3 class="box-title">All Unit Type</h3>

                    <div class="table-responsive">
                        <a href="<?php echo e(route('trash.inventory.alldeletetype')); ?>" class="btn  btn-primary" style="float: right;">&nbsp; Delete All</a>

                        <table id="myTable9" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Name</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count =1;?>
                                <?php $__currentLoopData = $allUnitType; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $no): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($count++); ?></td>
                                    <td><?php echo e($no->name); ?></td>

                                    <td class="text-nowrap">

                                        <a href="<?php echo e(route('trash.unitType.revert',['id'=>$no->id])); ?>" data-toggle="tooltip" data-original-title="Revert"> <i class="fa fa-pencil text-inverse m-r-10"></i> </a>
                                        <a href="<?php echo e(route('trash.unitType.delete',['id'=>$no->id])); ?>" data-toggle="tooltip" data-original-title="Delete"> <i class="fa fa-close text-danger"></i> </a>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->

    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">

                    <h3 class="box-title">All Unit Size</h3>

                    <div class="table-responsive">
                        <a href="<?php echo e(route('trash.inventory.alldeletesize')); ?>" class="btn  btn-primary" style="float: right;">&nbsp; Delete All</a>

                        <table id="myTable10" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Name</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count =1;?>
                                <?php $__currentLoopData = $allUnitSize; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $no): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($count++); ?></td>
                                    <td><?php echo e($no->name); ?></td>

                                    <td class="text-nowrap">

                                        <a href="<?php echo e(route('trash.unitSize.revert',['id'=>$no->id])); ?>" data-toggle="tooltip" data-original-title="Revert"> <i class="fa fa-pencil text-inverse m-r-10"></i> </a>
                                        <a href="<?php echo e(route('trash.unitSize.delete',['id'=>$no->id])); ?>" data-toggle="tooltip" data-original-title="Delete"> <i class="fa fa-close text-danger"></i> </a>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->

    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">

                    <h3 class="box-title">All Unit Floor</h3>

                    <div class="table-responsive">
                        <a href="<?php echo e(route('trash.inventory.alldeletefloor')); ?>" class="btn  btn-primary" style="float: right;">&nbsp; Delete All</a>

                        <table id="myTable11" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Name</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count =1;?>
                                <?php $__currentLoopData = $allUnitFloor; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $no): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($count++); ?></td>
                                    <td><?php echo e($no->name); ?></td>

                                    <td class="text-nowrap">

                                        <a href="<?php echo e(route('trash.unitFloor.revert',['id'=>$no->id])); ?>" data-toggle="tooltip" data-original-title="Revert"> <i class="fa fa-pencil text-inverse m-r-10"></i> </a>
                                        <a href="<?php echo e(route('trash.unitFloor.delete',['id'=>$no->id])); ?>" data-toggle="tooltip" data-original-title="Delete"> <i class="fa fa-close text-danger"></i> </a>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->

    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">

                    <h3 class="box-title">All Unit Category</h3>

                    <div class="table-responsive">
                        <a href="<?php echo e(route('trash.inventory.alldeletecategory')); ?>" class="btn  btn-primary" style="float: right;">&nbsp; Delete All</a>

                        <table id="myTable12" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Name</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count =1;?>
                                <?php $__currentLoopData = $allUnitCategory; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $no): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($count++); ?></td>
                                    <td><?php echo e($no->name); ?></td>

                                    <td class="text-nowrap">

                                        <a href="<?php echo e(route('trash.unitCategory.revert',['id'=>$no->id])); ?>" data-toggle="tooltip" data-original-title="Revert"> <i class="fa fa-pencil text-inverse m-r-10"></i> </a>
                                        <a href="<?php echo e(route('trash.unitCategory.delete',['id'=>$no->id])); ?>" data-toggle="tooltip" data-original-title="Delete"> <i class="fa fa-close text-danger"></i> </a>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->

    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">

                    <h3 class="box-title">All Package List</h3>

                    <div class="table-responsive">
                        <a href="<?php echo e(route('trash.inventory.alldeletepackage')); ?>" class="btn  btn-primary" style="float: right;">&nbsp; Delete All</a>

                        <table id="myTable13" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Name</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count =1;?>
                                <?php $__currentLoopData = $allpackage; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $no): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($count++); ?></td>
                                        <td><?php echo e($no->name); ?></td>

                                        <td class="text-nowrap">

                                            <a href="<?php echo e(route('trash.package.revert',['id'=>$no->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Revert"> <i
                                                    class="fa fa-pencil text-inverse m-r-10"></i> </a>
                                            <a href="<?php echo e(route('trash.package.delete',['id'=>$no->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Delete"> <i
                                                    class="fa fa-close text-danger"></i> </a>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->

    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">

                    <h3 class="box-title">All Price List</h3>

                    <div class="table-responsive">
                        <a href="<?php echo e(route('trash.inventory.alldeleteprice')); ?>" class="btn  btn-primary" style="float: right;">&nbsp; Delete All</a>

                        <table id="myTable14" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Price List No.</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count =1;?>
                                <?php $__currentLoopData = $allprice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $no): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($count++); ?></td>
                                        <td><?php echo e($no->l_no); ?></td>

                                        <td class="text-nowrap">

                                            <a href="<?php echo e(route('trash.price.revert',['id'=>$no->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Revert"> <i
                                                    class="fa fa-pencil text-inverse m-r-10"></i> </a>
                                                                                                                                
                                            <a href="<?php echo e(route('trash.price.delete',['id'=>$no->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Delete"> <i
                                                    class="fa fa-close text-danger"></i> </a>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->

    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">

                    <h3 class="box-title">All Open File Packages</h3>

                    <div class="table-responsive">
                        <a href="<?php echo e(route('trash.inventory.alldeleteopenfile')); ?>" class="btn  btn-primary" style="float: right;">&nbsp; Delete All</a>

                        <table id="myTable15" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Dealer Name</th>
                                    <th>Dealer Code</th>
                                    <th>Package Name</th>
                                    <th>Status</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count =1;?>
                                <?php $__currentLoopData = $allopenfile; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $no): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($count++); ?></td>
                                        <td><?php echo e($no->dealer->name); ?></td>
                                        <td><?php echo e($no->dealer->code); ?></td>
                                        <td><?php echo e($no->package->name); ?></td>
                                        <td><?php echo e($no->payment_status); ?></td>

                                        <td class="text-nowrap">

                                            <a href="<?php echo e(route('trash.issue.revert',['id'=>$no->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Revert"> <i
                                                    class="fa fa-pencil text-inverse m-r-10"></i> </a>

                                            <a href="<?php echo e(route('trash.issue.delete',['id'=>$no->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Delete"> <i
                                                    class="fa fa-close text-danger"></i> </a>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->

    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">

                    <h3 class="box-title">All Dealer Package Receipts</h3>

                    <div class="table-responsive">
                        <a href="<?php echo e(route('trash.inventory.alldeletedealerpackagereceipt')); ?>" class="btn  btn-primary" style="float: right;">&nbsp; Delete All</a>

                        <table id="myTable16" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Receipt No.</th>
                                    <th>Receipt Amount</th>
                                    <th>Receipt Status</th>
                                    <th>Receipt Date</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count =1;?>
                                <?php $__currentLoopData = $allDealerReceipt; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $no): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($count++); ?></td>
                                        <td><?php echo e($no->receipt_no); ?></td>
                                        <td><?php echo e($no->amount); ?></td>
                                        <td><?php if($no->is_approved == 0): ?>
                                            <span class="label label-danger">Pending</span>
                                        <?php elseif($no->is_approved == 1): ?>
                                            <span class="label label-success">Approved</span>
                                            <?php endif; ?></td>
                                        <td><?php echo e(date('y-m-d', strtotime($no->receipt_date))); ?></td>

                                        <td class="text-nowrap">

                                            <a href="<?php echo e(route('trash.dealer_receipt.revert',['id'=>$no->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Revert"> <i
                                                    class="fa fa-pencil text-inverse m-r-10"></i> </a>

                                            <a href="<?php echo e(route('trash.dealer_receipt.delete',['id'=>$no->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Delete"> <i
                                                    class="fa fa-close text-danger"></i> </a>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->

    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">

                    <h3 class="box-title">All Refund Unit Receipts</h3>

                    <div class="table-responsive">
                        <a href="<?php echo e(route('trash.refund_unit_receipt.delete-all')); ?>" class="btn  btn-primary" style="float: right;">&nbsp; Delete All</a>

                        <table id="myTable17" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Receipt No.</th>
                                    <th>Receipt Amount</th>
                                    <th>Receipt Status</th>
                                    <th>Receipt Date</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count =1;?>
                                <?php $__currentLoopData = $allRefundUnitReceipt; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $refund_rec): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($count++); ?></td>
                                        <td><?php echo e($refund_rec->receipt_no); ?></td>
                                        <td><?php echo e($refund_rec->amount); ?></td>
                                        <td><?php if($refund_rec->is_approved == 0): ?>
                                            <span class="label label-danger">Pending</span>
                                        <?php elseif($refund_rec->is_approved == 1): ?>
                                            <span class="label label-success">Approved</span>
                                            <?php endif; ?></td>
                                        <td><?php echo e(date('y-m-d', strtotime($refund_rec->receipt_date))); ?></td>

                                        <td class="text-nowrap">

                                            <a href="<?php echo e(route('trash.refund_unitreceipt.revert',['id'=>$refund_rec->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Revert"> <i
                                                    class="fa fa-pencil text-inverse m-r-10"></i> </a>

                                            <a href="<?php echo e(route('trash.refund_unit_receipt.delete',['id'=>$refund_rec->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Delete"> <i
                                                    class="fa fa-close text-danger"></i> </a>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->

    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">

                    <h3 class="box-title">All Open File Refund Receipts</h3>

                    <div class="table-responsive">
                        <a href="<?php echo e(route('trash.refund_open_file_receipt.delete-all')); ?>" class="btn  btn-primary" style="float: right;">&nbsp; Delete All</a>

                        <table id="myTable20" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Receipt No.</th>
                                    <th>Receipt Amount</th>
                                    <th>Receipt Status</th>
                                    <th>Receipt Date</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count =1;?>
                                <?php $__currentLoopData = $allRefundOpenFileReceipt; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $refund_rec): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($count++); ?></td>
                                        <td><?php echo e($refund_rec->receipt_no); ?></td>
                                        <td><?php echo e($refund_rec->amount); ?></td>
                                        <td><?php if($refund_rec->is_approved == 0): ?>
                                            <span class="label label-danger">Pending</span>
                                        <?php elseif($refund_rec->is_approved == 1): ?>
                                            <span class="label label-success">Approved</span>
                                            <?php endif; ?></td>
                                        <td><?php echo e(date('y-m-d', strtotime($refund_rec->receipt_date))); ?></td>

                                        <td class="text-nowrap">

                                            <a href="<?php echo e(route('trash.refund_open_file_receipt.revert',['id'=>$refund_rec->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Revert"> <i
                                                    class="fa fa-pencil text-inverse m-r-10"></i> </a>

                                            <a href="<?php echo e(route('trash.refund_open_file_receipt.delete',['id'=>$refund_rec->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Delete"> <i
                                                    class="fa fa-close text-danger"></i> </a>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->

    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">

                    <h3 class="box-title">All Cancel Unit Receipts</h3>

                    <div class="table-responsive">
                        <a href="<?php echo e(route('trash.cancel_unit_receipt.delete-all')); ?>" class="btn  btn-primary" style="float: right;">&nbsp; Delete All</a>

                        <table id="myTable18" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Receipt No.</th>
                                    <th>Receipt Amount</th>
                                    <th>Receipt Status</th>
                                    <th>Receipt Date</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count =1;?>                                                                                          
                                <?php $__currentLoopData = $allCancelUnitReceipt; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cancel_rec): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($count++); ?></td>
                                        <td><?php echo e($cancel_rec->receipt_no); ?></td>
                                        <td><?php echo e($cancel_rec->amount); ?></td>
                                        <td>
                                            <?php if($cancel_rec->is_approved == 0): ?>
                                            <span class="label label-danger">Pending</span>
                                            <?php elseif($cancel_rec->is_approved == 1): ?>
                                            <span class="label label-success">Approved</span>
                                            <?php endif; ?></td>
                                        <td><?php echo e(date('y-m-d', strtotime($cancel_rec->receipt_date))); ?></td>

                                        <td class="text-nowrap">

                                            <a href="<?php echo e(route('trash.cancel_unitreceipt.revert',['id'=>$refund_rec->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Revert"> <i
                                                    class="fa fa-pencil text-inverse m-r-10"></i> </a>

                                            <a href="<?php echo e(route('trash.cancel_unit_receipt.delete',['id'=>$refund_rec->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Delete"> <i
                                                    class="fa fa-close text-danger"></i> </a>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>           
    <!-- /.container-fluid -->

    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">

                    <h3 class="box-title">All Open File Cancel Receipts</h3>

                    <div class="table-responsive">
                        <a href="<?php echo e(route('trash.cancel_open_file_receipt.delete-all')); ?>" class="btn  btn-primary" style="float: right;">&nbsp; Delete All</a>

                        <table id="myTable19" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Receipt No.</th>
                                    <th>Receipt Amount</th>
                                    <th>Receipt Status</th>
                                    <th>Receipt Date</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count =1;?>                                                                                          
                                <?php $__currentLoopData = $allCancelOpenFileReceipt; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cancel_rec): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($count++); ?></td>
                                        <td><?php echo e($cancel_rec->receipt_no); ?></td>
                                        <td><?php echo e($cancel_rec->amount); ?></td>
                                        <td>
                                            <?php if($cancel_rec->is_approved == 0): ?>
                                            <span class="label label-danger">Pending</span>
                                            <?php elseif($cancel_rec->is_approved == 1): ?>
                                            <span class="label label-success">Approved</span>
                                            <?php endif; ?></td>
                                        <td><?php echo e(date('y-m-d', strtotime($cancel_rec->receipt_date))); ?></td>

                                        <td class="text-nowrap">

                                            <a href="<?php echo e(route('trash.cancel_open_file_receipt.revert',['id'=>$refund_rec->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Revert"> <i
                                                    class="fa fa-pencil text-inverse m-r-10"></i> </a>

                                            <a href="<?php echo e(route('trash.cancel_open_file_receipt.delete',['id'=>$refund_rec->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Delete"> <i
                                                    class="fa fa-close text-danger"></i> </a>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>           
    <!-- /.container-fluid -->

    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">

                    <h3 class="box-title">All Customer Nominees</h3>

                    <div class="table-responsive">
                        <a href="<?php echo e(route('trash.nominee.delete-all')); ?>" class="btn  btn-primary" style="float: right;">&nbsp; Delete All</a>

                        <table id="myTable21" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>

                                    <th>Nominee </th>
                                    <th>Customer </th>
                                    <th>Relation</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count = 1; ?>
                                <?php $__currentLoopData = $customer_nomine; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $nomi): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($count++); ?></td>
                                        <td><?php echo e($nomi->nominee_name); ?> -- <?php echo e($nomi->nominee_cnic); ?></td>
                                        <td><?php echo e($nomi->customer->name); ?> -- <?php echo e($nomi->customer->cnic); ?></td>

                                        <td><?php echo e($nomi->nominee_relation); ?></td>




                                      
                                        <td class="text-nowrap">

                                            <a href="<?php echo e(route('trash.nominee.revert',['id'=>$nomi->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Revert"> <i
                                                    class="fa fa-pencil text-inverse m-r-10"></i> </a>

                                            <a href="<?php echo e(route('trash.nominee.delete',['id'=>$nomi->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Delete"> <i
                                                    class="fa fa-close text-danger"></i> </a>
                                        </td>


                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                                                                                        
                               
                                      
                                   

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>           
    <!-- /.container-fluid -->

    


<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<script>
    $(function() {
        $('#myTable').DataTable();
        $('#myTable1').DataTable();
        $('#myTable2').DataTable();
        $('#myTable3').DataTable();
        $('#myTable4').DataTable();
        $('#myTable5').DataTable();
        $('#myTable6').DataTable();
        $('#myTable7').DataTable();
        $('#myTable8').DataTable();
        $('#myTable9').DataTable();
        $('#myTable10').DataTable();
        $('#myTable11').DataTable();
        $('#myTable12').DataTable();
        $('#myTable13').DataTable();
        $('#myTable14').DataTable();
        $('#myTable15').DataTable();
        $('#myTable16').DataTable();
        $('#myTable17').DataTable();
        $('#myTable18').DataTable();
        $('#myTable19').DataTable();
        $('#myTable20').DataTable();
        $('#myTable21').DataTable();
    });


    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\akram-city.projecterp.net\resources\views/trash/index.blade.php ENDPATH**/ ?>