

<?php $__env->startSection('title'); ?>
    Add General Vouchers
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
    <ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="<?php echo e(route('importdata.chartofaccount')); ?>">Import Legacy Data </a></li>
        <li class="active">Add General Vouchers</li>
    </ol>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <div class="container-fluid">
        <!--.row-->
        <div class="row">

            <div class="col-md-12">
                <div class="white-box">
                    <h3 class="box-title m-b-0">Add New General Vouchers</h3>

                    <a href="<?php echo e(route('importdata.generalvoucher-formate')); ?>" class="btn  btn-primary">
                        <i class="fa fa-download"></i>&nbsp; Download General Voucher Format
                    </a>


                    <hr>
                    <form class="form-horizontal" action="<?php echo e(route('importdata.store.generalvoucher')); ?>" method="post"
                    enctype="multipart/form-data">
                    <?php echo e(csrf_field()); ?>

                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('isSuperAdmin')): ?>
                    
                    <div class="form-group">
                        <label for="excelmapfile" class="col-sm-2 control-label">Select Project<span
                                style="color: red">*</span></label>
                        <div class="col-sm-10">
                            <div class="input-group" style="width:340px">

                                <select id="multipro" class="form-control chosen-select" name="multipro_id">
                                    <option value=""><b>None</b></option>
                                    <?php $__currentLoopData = $multi_projects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pro): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                   $p_id= encrypt($pro->id); 
                                    ?>
                                        <?php if(old('multipro_id') == $p_id): ?>
                                            <option selected="" value="<?php echo e($p_id); ?>"><?php echo e($pro->name); ?>

                                            </option>
                                        <?php else: ?>
                                            <option value="<?php echo e($p_id); ?>"><?php echo e($pro->name); ?> </option>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    
                                </select>
                                <?php if($errors->has('multipro_id')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('multipro_id')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                  
                    <?php endif; ?>
                    
                   
                    <div class="form-group">
                        <label for="excelmapfile" class="col-sm-2 control-label">General Voucher File<span
                                style="color: red">*</span></label>
                        <div class="col-sm-10">
                            <div class="input-group" style="width:340px">

                                <input type="file" class="form-control" name="file_type" required>
                                <?php if($errors->has('file_type')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('file_type')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                  



                    <div class="form-group m-b-0">
                        <div class="col-sm-offset-3 col-sm-9">
                            <button type="submit" class="btn btn-info waves-effect waves-light m-t-10"
                                style="width: 100px;">Import</button>
                        </div>
                    </div>
                </form>
                </div>
            </div>
        </div>
        <!--./row-->
    </div>
    <!-- /.container-fluid -->

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\erpv7\resources\views/Setting/importdata/voucherImport.blade.php ENDPATH**/ ?>