

<?php $__env->startSection('title'); ?>
All Paid Rebates
<?php $__env->stopSection(); ?>
<?php $__env->startSection('breadcrumb'); ?>
<ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>

        <li class="active">Paid Package Rebates</li>
      </ol>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('content'); ?>


            <div class="container-fluid">
                <!-- /row -->
                <div class="row">
                    <div class="col-sm-12">
                        <div class="white-box">
                        	<div class="pull-right" style="margin-top: 10px;">
                                <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'create-dealer-rebate')): ?>
								<a href="<?php echo e(route('rebate.package.addView')); ?>" class="btn  btn-primary">
									<i class="fa fa-plus-square"></i>&nbsp; Pay Rebate
								</a>
                                <?php endif; ?>
							</div>
                            <h3 class="box-title">All Paid Package Rebates (<?php echo e(number_format($totalPaidRebate)); ?>)</h3>

                            <div class="table-responsive">
                                <table id="myTable" class="table table-striped">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Dealer Name</th>
                                            <th>Package Name</th>
                                            <th>Net amount</th>
                                            <th>Tax</th>
                                            <th>Payment Method</th>
                                            <th>Description</th>

                                            <th>Date</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $count =1;?>
                                        <?php $__currentLoopData = $allRebates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $rebate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><?php echo e($count++); ?></td>
                                            <td><?php echo e($rebate->dealer? $rebate->dealer->name : ''); ?></td>
                                            <td><?php if($rebate->dealerPackage): ?>
                                                
                                                <?php echo e($rebate->dealerPackage->package->name); ?>

                                          
                                        <?php endif; ?></td>

                                              <td><?php echo e(number_format($rebate->amount)); ?></td>
                                              <td><?php echo e(number_format($rebate->tax_amount)); ?></td>
                                              
                                          <td><?php if($rebate->payment_method): ?>
                                          <?php if($rebate->payment_method == 1): ?>
                                      CASH <?php else: ?>
                                  BANK TRANSFER
                              <?php endif; ?>

                          <?php endif; ?></td>
                          <td><?php echo e($rebate->description); ?></td>
                                               <td><?php echo e(date('d-m-Y', strtotime($rebate->date))); ?></td>
                                            <td class="text-nowrap">
<!--                                                <a href="<?php echo e(route('rebate.detail',['id'=>$rebate->id])); ?>" data-toggle="tooltip" data-original-title="View"> <i class="fa fa-eye text-inverse m-r-10"></i> </a>-->
                                                <!-- <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'edit-dealer-rebate')): ?>
                                                <a href="<?php echo e(route('rebate.editView',['id'=>$rebate->id])); ?>" data-toggle="tooltip" data-original-title="Edit"> <i class="fa fa-pencil text-inverse m-r-10"></i> </a>
                                                <?php endif; ?> -->
                                                <!-- show-dealer-rebate -->
                                                <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'delete-dealer-rebate')): ?>
                                                <a href="<?php echo e(route('rebate.package.detail',['id'=>$rebate->id])); ?>" data-toggle="tooltip" data-original-title="Show"> <i class="fa fa-eye text-inverse m-r-10"></i> </a>
                                                <?php endif; ?>
                                                <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'delete-dealer-rebate')): ?>
                                                
                                                <?php endif; ?>
                                            </td>
                                        </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.row -->
              </div>
            <!-- /.container-fluid -->

<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<script>
    $(function() {
        $('#myTable').DataTable();

        var table = $('#example').DataTable({
            "columnDefs": [{
                "visible": false,
                "targets": 2
            }],
            "order": [
                [2, 'asc']
            ],
            "displayLength": 25,
            "drawCallback": function(settings) {
                var api = this.api();
                var rows = api.rows({
                    page: 'current'
                }).nodes();
                var last = null;
                api.column(2, {
                    page: 'current'
                }).data().each(function(group, i) {
                    if (last !== group) {
                        $(rows).eq(i).before('<tr class="group"><td colspan="5">' + group + '</td></tr>');
                        last = group;
                    }
                });
            }
        });
        // Order by the grouping
        $('#example tbody').on('click', 'tr.group', function() {
            var currentOrder = table.order()[0];
            if (currentOrder[0] === 2 && currentOrder[1] === 'asc') {
                table.order([2, 'desc']).draw();
            } else {
                table.order([2, 'asc']).draw();
            }
        });
    });
    $('#example23').DataTable({
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
    });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\akram-city.projecterp.net\resources\views/transaction/package_rebate/index.blade.php ENDPATH**/ ?>