

<?php $__env->startSection('title'); ?>
All Categories
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>

        <li class="active">Categories</li>
      </ol>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
  <div class="container-fluid">
    <div class="row">
                    
                 <div class="col-sm-12">
                        <div class="white-box">

                            <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'create-item-category')): ?>
                           
                             <h3 style="text-align: right;" class="box-title m-b-0">
                               <span style="float: left;">Categories  List</span>
                                <a class="btn btn-info btn-sm" href="<?php echo e(route('category.insert')); ?>">Add Category</a>
                            </h3>
                             <?php endif; ?>

                            <div class="table-responsive">
                             
                            <?php if(Session::has('success')): ?>   
                            <div id="successMessage" class="alert alert-success" role="alert">
                            <?php echo e(Session::get('success')); ?>

                            </div>
                            <?php endif; ?>

                            <table id="myTable" class="table table-striped table-bordered dataTable color-table primary-table" role="grid" aria-describedby="myTable_info">
                            <thead>
                            <tr role="row">
                            <th style="color: black;" class="sorting_asc" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Name: activate to sort column descending" style="width: 100px;">Name</th>

                            <th style="color: black;" class="sorting_asc" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Name: activate to sort column descending" style="width: 100px;">Parent</th>

                            <th style="color: black;" class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Position: activate to sort column ascending" style="width: 348px;">Description </th>

                            <th style="color: black;" style="color: black;" class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Office: activate to sort column ascending" style="width: 163px;">Created Date</th>

                            <th style="color: black;" class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Office: activate to sort column ascending" style="width: 163px;">Action</th>


                            </tr>
                            </thead>
                            <tbody>

                            <?php if( $categoryList->count() > 0 ): ?>
                            <?php $__currentLoopData = $categoryList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              


                            <tr role="row" class="odd">
                            <td><?php echo e($list->category_name); ?></td>

                           

                             <td>
                                 <?php if( $list->parent_id > 0 && !empty($list->parent)): ?>


                                 <?php echo e($list->parent->category_name); ?>

                                 
                                 <?php else: ?>

                                 <?php echo e('-'); ?>


                                   <?php endif; ?>
                             </td>

                           

                            <td><?php echo e($list->description); ?></td>
                            <td><?php echo e($list->created_at); ?></td>
                            <td>
                            <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'delete-item-category')): ?>

                            <form action="<?php echo e(route('category.delete',[$list->id] )); ?>" method="post" style='display: inline;'>
                              <?php echo method_field('DELETE'); ?>
                              <?php echo csrf_field(); ?>
                             
                              <button class="btn btn-link btn-s" style="color:red;"  type="submit" name="action" value="delete" data-toggle="confirmation" data-title="Are you sure to delete?">
                                  <i class="fa fa-trash-o" aria-hidden="true"></i>
                              </button>
                              
                           </form>


                            
                            <?php endif; ?>

                            <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'edit-item-category')): ?>
                            <a href="<?php echo e(route('category.edit',[$list->id] )); ?>">
                              <button class="btn btn-link btn-s">
                                  <i class="fa fa-pencil-square-o" aria-hidden="true"></i>
                              </button>
                          </a>
                            

                            <?php endif; ?>

                            </td>

                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>   
                            <?php endif; ?>


                            </tbody>
                            </table>

                            </div>
                            </div>
                            </div>
                            </div>


    </div>

      </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\akram-city.projecterp.net\resources\views/procurement/categories/index.blade.php ENDPATH**/ ?>