

<?php $__env->startSection('title'); ?>
    All Adjust Units
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
    <ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>

        <li class="active">All Adjust Units</li>
    </ol>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>

    <link href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.min.css" rel="stylesheet">
    <link href="https://cdn.datatables.net/buttons/1.7.0/css/buttons.dataTables.min.css" rel="stylesheet">

    <style>
        table.dataTable thead .sorting_asc {
            background-image: none !important;
        }

        .table.dataTable,
        table.dataTable {
            width: 99.8% !important;
        }
    </style>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>


    <div class="container-fluid">
        <!-- /row -->



        <div class="row" id="update-table">
            <div class="col-sm-12">
                <div class="white-box">
                    <div class="pull-right">

                    </div>

                    <h3 class="box-title">Adjust Units </h3>

                    <!-- Nav tabs -->
                    <div class="container">


                        <ul class="nav customtab nav-tabs" role="tablist">

                            <li role="presentation" class="active"><a href="#close_file" aria-controls="home" role="tab"
                                    data-toggle="tab" aria-expanded="true"><span class="visible-xs"><i
                                            class="ti-home"></i></span><span class="hidden-xs">Close Unit</span></a>
                            </li>
                            

                        </ul>



                        <div class="tab-content">

                            <div id="close_file" class="tab-pane fade in active">
                                <ul class="nav nav-tabs">
                                    <li class="active"><a data-toggle="tab" href="#home">Adjusted
                                            (<?php echo e(number_format($statement_count_adjusted)); ?>)</a></li>
                                    <li><a data-toggle="tab" href="#menu1">Pending Adjusts
                                            (<?php echo e(number_format($statementCount)); ?>)
                                        </a></li>
                                    <li><a data-toggle="tab"
                                            href="#menu2">Decline(<?php echo e(number_format($statement_count_decline)); ?>)
                                        </a></li>

                                </ul>

                                <div class="tab-content">
                                    <div id="home" class="tab-pane fade in active">
                                        <h3>Adjusted Units </h3>
                                        <div class="table-responsive">
                                            <table id="myTable" class="table table-striped">
                                                <thead>
                                                    <tr>
                                                        <th>#</th>
                                                        <th>UA No</th>
                                                        <th>Unit #</th>
                                                        <th>Member Name</th>
                                                        <th>Received Amount</th>
                                                         

                                                        <th>Status</th>
                                                        <th>
                                                            Action
                                                        </th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php $count = 1; ?>



                                                    <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'view-cancellation')): ?>
                                                        <?php $view_membership = true; ?>
                                                    <?php else: ?>
                                                        <?php $view_membership = false; ?>
                                                    <?php endif; ?>

                                                    <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'edit-adjust')): ?>
                                                        <?php $edit_refund = true; ?>
                                                    <?php else: ?>
                                                        <?php $edit_refund = false; ?>
                                                    <?php endif; ?>



                                                    <?php $__currentLoopData = $allStatementsAdjust; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $statementadjust): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <tr>
                                                            <td><?php echo e($count++); ?></td>
                                                            <td><?php echo e(!empty($statementadjust->unitAdjustHistory) ? $statementadjust->unitAdjustHistory->ua_no : 'dsdfd'); ?>

                                                            </td>


                                                            <td><?php echo e($statementadjust->inventory->unit_number); ?></td>

                                                            <td><?php echo e($statementadjust->customer ? $statementadjust->customer->name : ''); ?><br><b>Dealer:
                                                                </b><?php echo e($statementadjust->dealer ? $statementadjust->dealer->name : ''); ?>

                                                            </td>


                                                            <td><b><?php echo e($statementadjust->unitAdjustHistory->total_received_amount); ?></b>
                                                            </td>

                                                            



                                                            <?php if($statementadjust->cancelProperty->after_cancellation_status == 'pending'): ?>
                                                                <td><span class="label label-primary"
                                                                        style="background-color:#4871c6;;">Pending</span>
                                                                </td>
                                                            <?php elseif($statementadjust->cancelProperty->after_cancellation_status == 'adjust-pending'): ?>
                                                                <td><span class="label label-success">Adjust/Pending</span>
                                                                </td>
                                                            <?php elseif($statementadjust->cancelProperty->after_cancellation_status == 'refund-pending'): ?>
                                                                <td><span class="label label-success">Refund/Pending</span>
                                                                </td>
                                                            <?php elseif($statementadjust->cancelProperty->after_cancellation_status == 'adjusted'): ?>
                                                                <td><span class="label label-success">Adjusted</span></td>
                                                            <?php elseif($statementadjust->cancelProperty->after_cancellation_status == 'refunded'): ?>
                                                                <td><span class="label label-success">Refunded</span></td>
                                                            <?php endif; ?>




                                                            <td class="text-nowrap">
                                                                <center>

                                                                    <?php if($view_membership): ?>
                                                                        <a href="<?php echo e(route('property.adjust.history', ['id' => $statementadjust->id])); ?>"
                                                                            data-toggle="tooltip"
                                                                            data-original-title="View"> <i
                                                                                class="fa fa-eye text-inverse m-r-10"></i>&nbsp;&nbsp;</a>
                                                                    <?php endif; ?>


                                                                    <?php if($edit_refund && $statementadjust->cancelProperty->after_cancellation_status == 'pending'): ?>
                                                                        <a href="<?php echo e(route('property.adjust.edit', ['id' => $statementadjust->id])); ?>"
                                                                            data-toggle="tooltip"
                                                                            data-original-title="Edit"> <i
                                                                                class="fa fa-pencil text-inverse m-r-10"></i>&nbsp;&nbsp;</a>
                                                                    <?php endif; ?>





                                                                </center>
                                                            </td>

                                                        </tr>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>




                                                </tbody>
                                            </table>
                                            <div style="float: right;"><?php echo e($allStatementsAdjust->links()); ?> </div>
                                        </div>
                                    </div>
                                    <div id="menu1" class="tab-pane fade">
                                        <h3>Pending Adjust Units</h3>
                                        <div class="table-responsive">
                                            <table id="myTable" class="table table-striped">
                                                <thead>
                                                    <tr>
                                                        <th>#</th>


                                                        <th>Unit #</th>
                                                        
                                                        <th>Member Name</th>
                                                        <th>Net Amount</th>

                                                        <th>Received Amount</th>

                                                        
                                                        <th>Cancel Date</th>
                                                        <th>Cancel Fee(pkr)</th>
                                                        <th>Request Status</th>
                                                        <th>Unit Status</th>
                                                        <th>After Cancellation Decision Request</th>
                                                        <th>
                                                            Action
                                                        </th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php $count = 1; ?>



                                                    <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'view-cancellation')): ?>
                                                        <?php $view_membership = true; ?>
                                                    <?php else: ?>
                                                        <?php $view_membership = false; ?>
                                                    <?php endif; ?>

                                                    <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'edit-adjust')): ?>
                                                        <?php $edit_refund = true; ?>
                                                    <?php else: ?>
                                                        <?php $edit_refund = false; ?>
                                                    <?php endif; ?>





                                                    <?php $__currentLoopData = $allStatements; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $statement): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <tr>
                                                            <td><?php echo e($count++); ?></td>


                                                            <td><?php echo e($statement->inventory->unit_number); ?></td>
                                                            
                                                            <td><?php echo e($statement->customer ? $statement->customer->name : ''); ?><br><b>Dealer:
                                                                </b><?php echo e($statement->dealer ? $statement->dealer->name : ''); ?>

                                                            </td>

                                                            <td><b><?php echo e(number_format($statement->net_pay)); ?></b></td>


                                                            <td><b><?php echo e(number_format($receivedAmt[$statement->id])); ?></b>
                                                            </td>



                                                            

                                                            <td><?php echo e(date('d-m-Y', strtotime($statement->cancel_date))); ?>

                                                            </td>
                                                            <td><?php echo e($statement->cancelProperty->fee); ?> </td>

                                                            <?php if($statement->cancelProperty->status == 0): ?>
                                                                <td><span class="label label-primary"
                                                                        style="background-color:#4871c6;;">Pending</span>
                                                                </td>
                                                            <?php elseif($statement->cancelProperty->status == 1): ?>
                                                                <td><span class="label label-success">Approved</span></td>
                                                            <?php else: ?>
                                                                <td></td>
                                                            <?php endif; ?>


                                                            <?php if($statement->status == \App\CustomerProperty::pending): ?>
                                                                <td><span class="label label-primary"
                                                                        style="background-color:#cd703d;">Pending</span>
                                                                </td>
                                                            <?php elseif($statement->status == \App\CustomerProperty::approved): ?>
                                                                <td><span class="label label-success">Approved</span></td>
                                                            <?php elseif($statement->status == \App\CustomerProperty::cancel): ?>
                                                                <td><span class="label label-danger">Canceled</span></td>
                                                            <?php else: ?>
                                                                <td></td>
                                                            <?php endif; ?>

                                                            <?php if($statement->cancelProperty->after_cancellation_status == 'pending'): ?>
                                                                <td><span class="label label-primary"
                                                                        style="background-color:#4871c6;;">Pending</span>
                                                                </td>
                                                            <?php elseif($statement->cancelProperty->after_cancellation_status == 'adjust-pending'): ?>
                                                                <td><span class="label label-success">Adjust/Pending</span>
                                                                </td>
                                                            <?php elseif($statement->cancelProperty->after_cancellation_status == 'refund-pending'): ?>
                                                                <td><span class="label label-success">Refund/Pending</span>
                                                                </td>
                                                            <?php elseif($statement->cancelProperty->after_cancellation_status == 'adjusted'): ?>
                                                                <td><span class="label label-success">Adjusted</span></td>
                                                            <?php elseif($statement->cancelProperty->after_cancellation_status == 'refunded'): ?>
                                                                <td><span class="label label-success">Refunded</span></td>
                                                            <?php endif; ?>




                                                            <td class="text-nowrap">
                                                                <center>

                                                                    <?php if($view_membership): ?>
                                                                        <a href="<?php echo e(route('statement.detail', ['id' => $statement->id])); ?>"
                                                                            data-toggle="tooltip"
                                                                            data-original-title="View"> <i
                                                                                class="fa fa-eye text-inverse m-r-10"></i>&nbsp;&nbsp;</a>
                                                                    <?php endif; ?>


                                                                    <?php if($edit_refund): ?>
                                                                        <a href="<?php echo e(route('property.adjust.edit', ['id' => $statement->id])); ?>"
                                                                            data-toggle="tooltip"
                                                                            data-original-title="Edit"> <i
                                                                                class="fa fa-pencil text-inverse m-r-10"></i>&nbsp;&nbsp;</a>
                                                                    <?php endif; ?>





                                                                </center>
                                                            </td>

                                                        </tr>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                                </tbody>
                                            </table>
                                            <div style="float: right;"><?php echo e($allStatements->links()); ?></div>
                                        </div>
                                    </div>

                                    <div id="menu2" class="tab-pane fade">
                                        <h3>Decline Refunds Units</h3>
                                        <div class="table-responsive">
                                            <table id="myTable" class="table table-striped">
                                                <thead>
                                                    <tr>
                                                        <th>#</th>


                                                        <th>Unit #</th>
                                                        
                                                        <th>Member Name</th>
                                                        <th>Net Amount</th>


                                                        
                                                        <th>Cancel Date</th>
                                                        <th>Cancel Fee(pkr)</th>
                                                        <th>Request Status</th>
                                                        <th>Unit Status</th>
                                                        <th>After Cancellation Decision Request</th>
                                                        <th>
                                                            Action
                                                        </th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php $count = 1; ?>



                                                    <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'view-cancellation')): ?>
                                                        <?php $view_membership = true; ?>
                                                    <?php else: ?>
                                                        <?php $view_membership = false; ?>
                                                    <?php endif; ?>

                                                    <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'edit-adjust')): ?>
                                                        <?php $edit_refund = true; ?>
                                                    <?php else: ?>
                                                        <?php $edit_refund = false; ?>
                                                    <?php endif; ?>


                                                    <?php $__currentLoopData = $allStatementsdecline; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $statementdecline): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <tr>
                                                            <td><?php echo e($count++); ?></td>


                                                            <td><?php echo e($statementdecline->inventory->unit_number); ?></td>
                                                            
                                                            <td><?php echo e($statementdecline->customer ? $statementdecline->customer->name : ''); ?><br><b>Dealer:
                                                                </b><?php echo e($statementdecline->dealer ? $statementdecline->dealer->name : ''); ?>

                                                            </td>

                                                            <td><b><?php echo e(number_format($statementdecline->net_pay)); ?></b></td>





                                                            

                                                            <td><?php echo e(date('d-m-Y', strtotime($statementdecline->cancel_date))); ?>

                                                            </td>
                                                            <td><?php echo e($statementdecline->cancelProperty->fee); ?> </td>

                                                            <?php if($statementdecline->cancelProperty->status == 0): ?>
                                                                <td><span class="label label-primary"
                                                                        style="background-color:#4871c6;;">Pending</span>
                                                                </td>
                                                            <?php elseif($statementdecline->cancelProperty->status == 1): ?>
                                                                <td><span class="label label-success">Approved</span></td>
                                                            <?php else: ?>
                                                                <td></td>
                                                            <?php endif; ?>


                                                            <?php if($statementdecline->status == \App\CustomerProperty::pending): ?>
                                                                <td><span class="label label-primary"
                                                                        style="background-color:#cd703d;">Pending</span>
                                                                </td>
                                                            <?php elseif($statementdecline->status == \App\CustomerProperty::approved): ?>
                                                                <td><span class="label label-success">Approved</span></td>
                                                            <?php elseif($statementdecline->status == \App\CustomerProperty::cancel): ?>
                                                                <td><span class="label label-danger">Canceled</span></td>
                                                            <?php else: ?>
                                                                <td></td>
                                                            <?php endif; ?>

                                                            <?php if($statementdecline->cancelProperty->after_cancellation_status == 'pending'): ?>
                                                                <td><span class="label label-primary"
                                                                        style="background-color:#4871c6;;">Pending</span>
                                                                </td>
                                                            <?php elseif($statementdecline->cancelProperty->after_cancellation_status == 'adjust-pending'): ?>
                                                                <td><span class="label label-success">Adjust/Pending</span>
                                                                </td>
                                                            <?php elseif($statementdecline->cancelProperty->after_cancellation_status == 'refund-pending'): ?>
                                                                <td><span class="label label-success">Refund/Pending</span>
                                                                </td>
                                                            <?php elseif($statementdecline->cancelProperty->after_cancellation_status == 'adjusted'): ?>
                                                                <td><span class="label label-success">Adjusted</span></td>
                                                            <?php elseif($statementdecline->cancelProperty->after_cancellation_status == 'refunded'): ?>
                                                                <td><span class="label label-success">Refunded</span></td>
                                                            <?php elseif($statementdecline->cancelProperty->after_cancellation_status == 'decline'): ?>
                                                                <td><span class="label label-primary"
                                                                        style="background-color:#f80808;;">Decline</span>
                                                                </td>
                                                            <?php endif; ?>




                                                            <td class="text-nowrap">
                                                                <center>

                                                                    <?php if($view_membership): ?>
                                                                        <a href="<?php echo e(route('statement.detail', ['id' => $statementdecline->id])); ?>"
                                                                            data-toggle="tooltip"
                                                                            data-original-title="View"> <i
                                                                                class="fa fa-eye text-inverse m-r-10"></i>&nbsp;&nbsp;</a>
                                                                    <?php endif; ?>


                                                                    <?php if($edit_refund): ?>
                                                                        <a href="<?php echo e(route('property.adjust.edit', ['id' => $statementdecline->id])); ?>"
                                                                            data-toggle="tooltip"
                                                                            data-original-title="Edit"> <i
                                                                                class="fa fa-pencil text-inverse m-r-10"></i>&nbsp;&nbsp;</a>
                                                                    <?php endif; ?>





                                                                </center>
                                                            </td>

                                                        </tr>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>




                                                </tbody>
                                            </table>
                                            <div style="float: right;"><?php echo e($allStatementsdecline->links()); ?></div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                            
                        </div>
                    </div>
                    <!-- Tab panes -->


                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->


<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>

    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.7.0/js/dataTables.buttons.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.7.0/js/buttons.html5.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.7.0/js/buttons.print.min.js"></script>

    <script>
        function confirmReopen(val) {

            var CSRF_TOKEN = $('meta[name="csrf-token"]').attr('content');



            Swal.fire({
                    title: "Are you sure?",
                    text: "You want to reopen the Unit!",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                    showCancelButton: true,
                    confirmButtonColor: '#3085d6',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, Sure!'
                })
                .then((result) => {
                    if (result.isConfirmed) {
                        $('.preloader').fadeIn();
                        $.ajax({
                            /* the route pointing to the post function */
                            url: '<?php echo e(route('reopen.cancel')); ?>',
                            type: 'POST',
                            /* send the csrf-token and the input to the controller */
                            data: {
                                _token: CSRF_TOKEN,
                                id: val
                            },
                            dataType: 'JSON',
                            /* remind that 'data' is the response of the AjaxController */
                            success: function(data) {
                                $('.preloader').fadeOut();
                                Swal.fire("Poof! Unit Reopened Successfully!", {

                                    confirmButtonColor: '#3085d6',
                                    cancelButtonColor: '#d33',
                                    confirmButtonText: 'Yes, Sure!'
                                }).then((result) => {
                                    location.reload();
                                });
                            }
                        });
                    } else {
                        $('.preloader').fadeOut();
                        Swal.fire("OK! Action Revert");
                    }
                });




            // return false;
            // if (confirm('Are you sure you want to reopen this property.')) 
            // {
            //    return true; 
            // }
            // else
            // {
            //     return false;
            // }
            $('.preloader').fadeOut();
        }
        $(function() {
            $('#myTable').DataTable({
                'pageLength': 25,
                'paging': false,
                'searching': false,
                'info': false,
                'dom': 'Bfrtip',
                'buttons': [
                    'copy', 'csv', 'excel', 'pdf', 'print'
                ]
            });
        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\akram-city.projecterp.net\resources\views/statement/adjust/index.blade.php ENDPATH**/ ?>