<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class UnitType extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name','status','is_deleted','projecttype_id'
    ];
    public function projecttype()
    {
        return $this->belongsTo('\App\ProjectType', 'projecttype_id');
    }
}
