<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddCkeckListStatusAndStatusInTransferProperties extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('transfer_properties', function (Blueprint $table) {
            //
            $table->tinyInteger('check_list_status')->default(0)->comment('0->notcomplete,1->complete');

            $table->tinyInteger('status')->default(0)->comment('0->unapproved,1->approved');
            
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('transfer_properties', function (Blueprint $table) {
            //
        });
    }
}
