<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBlockUnitLogsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('block_unit_logs', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->text('unit_detail')->nullable();
            $table->text('customer_detail')->nullable();
            $table->text('block_date')->nullable();
            $table->text('un_block_date')->nullable();
            $table->bigInteger('blockcriteria_id')->nullable();
            
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('block_unit_logs');
    }
}
