<?php

use App\TransferPropertyTypeDocument;
use Illuminate\Database\Seeder;
use App\TransferProperty;

class TranferPropertyTypeDocumentSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        //
       TransferPropertyTypeDocument::create([
        'transfer_property_type_id' => TransferProperty::normal_transfer,
        'name' => 'Sale Agreement'
        
    ]);
    TransferPropertyTypeDocument::create([
        'transfer_property_type_id' => TransferProperty::normal_transfer,
        'name' => 'Undertaking By The Purchaser'
        
    ]);

    TransferPropertyTypeDocument::create([
        'transfer_property_type_id' => TransferProperty::normal_transfer,
        'name' => 'Affidavit By The Seller'
        
    ]);

    TransferPropertyTypeDocument::create([
        'transfer_property_type_id' => TransferProperty::normal_transfer,
        'name' => 'Undertaking By The Purchaser'
        
    ]);

    


    TransferPropertyTypeDocument::create([
        'transfer_property_type_id' =>  TransferProperty::gift_transfer,
        'name' => 'Gift Declaration'
        
    ]);
    TransferPropertyTypeDocument::create([
        'transfer_property_type_id' =>  TransferProperty::family_transfer,
        'name' => 'Affidavit By The Transferor'
        
    ]);
    TransferPropertyTypeDocument::create([
        'transfer_property_type_id' =>  TransferProperty::family_transfer,
        'name' => 'Undertaking By The Transferee'
        
    ]);








    TransferPropertyTypeDocument::create([
        'transfer_property_type_id' => TransferProperty::death_transfer,
        'name' => 'Deed Of The Relinquishment'
    ]);
    TransferPropertyTypeDocument::create([
        'transfer_property_type_id' => TransferProperty::death_transfer,
        'name' => 'Undertaking By The Transferee'
    ]);
    }
}
