@php
$size = '';

if ($multiproject_type == \App\ProjectType::society) {
    $size = \App\ProjectType::society_size;
} else {
    $size = \App\ProjectType::high_rise_size;
}

@endphp
<div class="row" style="margin-top: 25px;">
    <div class="col-lg-12">
        <div class="white-box">
            <div class="text-center">
                <h3><strong>
                    @foreach($project_names as $key => $project_name)
                    {{ $project_name }}
                    @if($key < count($project_names) - 1)
                        , 
                    @endif
                @endforeach    
                </strong></h3>
                <h4><strong>Overall Booking, Recovery and Receiveable Status </strong></h4>
                <h6>AS ON <b>{{ date('d-m-Y') }}</b></h6>
            </div>
            <div style="overflow-y: scroll;height: 565px;">



                <table id="myTable1" class="table" style="border-top: 1px solid">



                    <thead>

                        <tr>

                            <th class="text-center" style="border-bottom: none;"><strong>APARTMENT </strong></th>


                            <th style="border-right:none;">NO.</th>

                            <th style="border-left:none;border-right: none;"><strong> OF </strong></th>
                            <th style="border-left:none;">UNITS</th>

                            @if($multiproject_type == 'all')

                            <th style="border-right:none;">TOTAL</th>
                            <th style="border-left:none;border-right: none;"><strong> AREA </strong></th>
                            <th style="border-left:none;">(In 	{{\App\ProjectType::society_size}})</th>


                            <th style="border-right:none;">TOTAL</th>
                            <th style="border-left:none;border-right: none;"><strong> AREA </strong></th>
                            <th style="border-left:none;">(In {{\App\ProjectType::high_rise_size}})</th>


                            @else
                            <th style="border-right:none;">TOTAL</th>
                            <th style="border-left:none;border-right: none;"><strong> AREA </strong></th>
                            <th style="border-left:none;">(In 	 @if($multiproject_type ==  App\ProjectType::society)
                                 
                                {{\App\ProjectType::society_size}}
                              @elseif($multiproject_type == App\ProjectType::high_rise)
                                {{\App\ProjectType::high_rise_size}}
                              @endif)</th>

                            @endif






                            <th style="border-right:none;">TOTAL</th>
                            <th style="border-left:none;border-right: none;"><strong> SALES VALUE </strong></th>
                            <th style="border-left:none;">(In Rs.)</th>

                            <th style="border-right:none;">RECOVERY</th>
                            <th style="border-right:none;border-left:none;">AND</th>

                            <th style="border-left:none;border-right: none;"><strong> RECEIVEABLE AG. </strong></th>

                            <th style="border-right:none;border-left:none;">BOOKED</th>
                            <th style="border-left:none;">UNITS</th>

                        </tr>

                        <tr>
                            <th class="text-center" style="border-top: none;">Block</th>
                            <th class="text-center"><strong>Total</strong></th>
                            <th class="text-center"><strong>Booked</strong></th>
                            <th class="text-center"><strong>Unbooked</strong></th>

                            <th class="text-center"><strong>All Units</strong></th>
                            <th class="text-center"><strong>Booked </strong></th>
                            <th class="text-center"><strong>Un-Booked</strong></th>
                           @if($multiproject_type == 'all')

                            <th class="text-center"><strong>All Units</strong></th>
                            <th class="text-center"><strong>Booked </strong></th>
                            <th class="text-center"><strong>Un-Booked</strong></th>
                            @endif
        


                            <th class="text-center"><strong>Booked</strong></th>
                            <th class="text-center"><strong>Un-Booked</strong></th>
                            <th class="text-center"><strong>Total</strong></th>
                            <th class="text-center"><strong>Discount</strong></th>
                            <th class="text-center"><strong>Recovery </strong></th>
                            <th class="text-center"><strong>Balance Receivables </strong></th>
                            <th class="text-center"><strong>Overdues </strong></th>
                            <th class="text-center"><strong>Future Ins.</strong></th>
                        </tr>








                    </thead>

                    <tbody>

                        <?php
                        $block_total_units = 0;
                        $block_booked_units = 0;
                        $block_un_booked_units = 0;
                        $block_total_units_area_count = 0;
                        $block_booked_units_area_count = 0;
                        $block_un_booked_units_area_count = 0;
                        $block_total_units_area_count_2= 0;
                        $block_booked_units_area_count_2 = 0;
                        $block_un_booked_units_area_count_2 = 0;
                        $block_total_units_amount_count = 0;
                        $block_booked_units_amount_count = 0;
                        $block_un_booked_units_amount_count = 0;
                        $block_discount_count = 0;
                        $block_recovery_count = 0;
                        $block_receivable_count = 0;
                        $block_overdue_count = 0;
                        $block_future_count = 0;
                        ?>

                        @foreach ($unit_blooks as $unit_blook)
                            <?php
                            $block_total_units_count = 0;
                            $block_booked_units_count = 0;
                            $block_un_booked_units_count = 0;

                            $block_total_units_area = 0;
                            $block_booked_units_area = 0;
                            $block_un_booked_units_area = 0;

                            $block_total_units_area_2 = 0;
                            $block_booked_units_area_2 = 0;
                            $block_un_booked_units_area_2 = 0;

                            $block_total_units_amount = 0;
                            $block_booked_units_amount = 0;
                            $block_un_booked_units_amount = 0;
                            $block_discount = 0;
                            $block_recovery = 0;
                            $block_receivable = 0;
                            $block_overdue = 0;
                            $block_future = 0;
                            ?>

                            @foreach ($floor_data as $f)
                                @if ($unit_blook->name == $f['block'])
                                    <?php $block_total_units_count += $f['total_units']; ?>


                                    <?php $block_booked_units_count += $f['booked_units']; ?>


                                    <?php $block_un_booked_units_count += $f['un_booked_units']; ?>

                                    @if($multiproject_type == 'all')

                                    @if($f['project_type'] ==  \App\ProjectType::society )
                                    <?php $block_total_units_area += $f['total_units_area']; ?>


                                    <?php $block_booked_units_area += $f['booked_units_area']; ?>


                                    <?php $block_un_booked_units_area += $f['un_booked_units_area']; ?>

                                    @elseif($f['project_type'] ==  \App\ProjectType::high_rise )



                                    
                                    <?php $block_total_units_area_2 += $f['total_units_area']; ?>


                                    <?php $block_booked_units_area_2 += $f['booked_units_area']; ?>


                                    <?php $block_un_booked_units_area_2 += $f['un_booked_units_area']; ?>

                                    @endif
                                    @else
                                    <?php $block_total_units_area += $f['total_units_area']; ?>


                                    <?php $block_booked_units_area += $f['booked_units_area']; ?>


                                    <?php $block_un_booked_units_area += $f['un_booked_units_area']; ?>

                                    @endif





                                    <?php $block_booked_units_amount += $f['booked_units_amount']; ?>



                                    <?php $block_un_booked_units_amount += $f['un_booked_units_amount']; ?>



                                    <?php $block_total_units_amount += $f['total_units_amount']; ?>


                                    <?php $block_recovery += $f['recovery']; ?>


                                    <?php $block_receivable += $f['receivable']; ?>


                                    <?php $block_overdue += $f['overdue']; ?>


                                    <?php $block_future += $f['future']; ?>
                                @endif
                            @endforeach


                            @php
                                if ($block_total_units_amount - $block_booked_units_amount > 0) {
                                    $block_discount = $block_total_units_amount - $block_booked_units_amount;
                                }
                            @endphp




                            <?php $block_total_units += $block_total_units_count; ?>


                            <?php $block_booked_units += $block_booked_units_count; ?>


                            <?php $block_un_booked_units += $block_un_booked_units_count; ?>




                            <?php $block_total_units_area_count += $block_total_units_area; ?>


                            <?php $block_booked_units_area_count += $block_booked_units_area; ?>


                            <?php $block_un_booked_units_area_count += $block_un_booked_units_area; ?>

                            @if($multiproject_type ==  'all')
                            <?php $block_total_units_area_count_2 += $block_total_units_area_2; ?>


                            <?php $block_booked_units_area_count_2 += $block_booked_units_area_2; ?>


                            <?php $block_un_booked_units_area_count_2+= $block_un_booked_units_area_2; ?>
                            @endif





                            <?php $block_total_units_amount_count += $block_booked_units_amount; ?>


                            <?php $block_booked_units_amount_count += $block_un_booked_units_amount; ?>


                            <?php $block_un_booked_units_amount_count += $block_total_units_amount; ?>


                            <?php $block_discount_count += $block_discount; ?>


                            <?php $block_recovery_count += $block_recovery; ?>


                            <?php $block_receivable_count += $block_receivable; ?>


                            <?php $block_overdue_count += $block_overdue; ?>


                            <?php $block_future_count += $block_future; ?>


                            <tr>
                                <th class="text-center"><strong>{{ $unit_blook->name }}</strong></th>
                                <th class="text-center">
                                    <strong>{{ number_format($block_total_units_count) }}</strong></th>
                                <th class="text-center">
                                    <strong>{{ number_format($block_booked_units_count) }}</strong></th>
                                <th class="text-center">
                                    <strong>{{ number_format($block_un_booked_units_count) }}</strong></th>
                              
                                    <th class="text-center">
                                    <strong>{{ number_format($block_total_units_area) }}</strong></th>
                              
                                    <th class="text-center">
                                    <strong>{{ number_format($block_booked_units_area) }}</strong></th>
                               
                                    <th class="text-center">
                                    <strong>{{ number_format($block_un_booked_units_area) }}</strong></th>
                               

                                    @if($multiproject_type ==  'all')
                                    <th class="text-center">
                                        <strong>{{ number_format($block_total_units_area_2) }}</strong></th>
                                  
                                        <th class="text-center">
                                        <strong>{{ number_format($block_booked_units_area_2) }}</strong></th>
                                   
                                        <th class="text-center">
                                        <strong>{{ number_format($block_un_booked_units_area_2) }}</strong></th>
                                   @endif



                               
                               
                                    <th class="text-center">
                                    <strong>{{ number_format($block_booked_units_amount) }}</strong></th>
                                <th class="text-center">
                                    <strong>{{ number_format($block_un_booked_units_amount) }}</strong></th>
                                <th class="text-center">
                                    <strong>{{ number_format($block_total_units_amount) }}</strong></th>
                                <th class="text-center"><strong>{{ number_format($block_discount) }}</strong></th>
                                <th class="text-center"><strong>{{ number_format($block_recovery) }}</strong></th>
                                <th class="text-center"><strong>{{ number_format($block_receivable) }}</strong>
                                </th>
                                <th class="text-center"><strong>{{ number_format($block_overdue) }}</strong></th>
                                <th class="text-center"><strong>{{ number_format($block_future) }}</strong></th>
                            </tr>
                        @endforeach



                        <tr>
                            <th class="text-center"><strong>Total</strong></th>
                            <th class="text-center"><strong>{{ number_format($block_total_units) }}</strong></th>
                            <th class="text-center"><strong>{{ number_format($block_booked_units) }}</strong></th>
                            <th class="text-center"><strong>{{ number_format($block_un_booked_units) }}</strong>
                            </th>
                            <th class="text-center">
                                <strong>{{ number_format($block_total_units_area_count) }}</strong></th>
                            <th class="text-center">
                                <strong>{{ number_format($block_booked_units_area_count) }}</strong></th>
                            <th class="text-center">
                                <strong>{{ number_format($block_un_booked_units_area_count) }}</strong></th>

                                @if($multiproject_type ==  'all')
                                <th class="text-center">
                                    <strong>{{ number_format($block_total_units_area_count_2) }}</strong></th>
                                <th class="text-center">
                                    <strong>{{ number_format($block_booked_units_area_count_2) }}</strong></th>
                                <th class="text-center">
                                    <strong>{{ number_format($block_un_booked_units_area_count_2) }}</strong></th>
                     
                                    @endif

                            <th class="text-center">
                                <strong>{{ number_format($block_total_units_amount_count) }}</strong></th>
                            <th class="text-center">
                                <strong>{{ number_format($block_booked_units_amount_count) }}</strong></th>
                            <th class="text-center">
                                <strong>{{ number_format($block_un_booked_units_amount_count) }}</strong></th>
                            <th class="text-center"><strong>{{ number_format($block_discount_count) }}</strong>
                            </th>
                            <th class="text-center"><strong>{{ number_format($block_recovery_count) }}</strong>
                            </th>
                            <th class="text-center"><strong>{{ number_format($block_receivable_count) }}</strong>
                            </th>
                            <th class="text-center"><strong>{{ number_format($block_overdue_count) }}</strong></th>
                            <th class="text-center"><strong>{{ number_format($block_future_count) }}</strong></th>
                        </tr>

                        <tr>
                            <th style="border-right: none;">&nbsp;</th>

                            <th style="border-right: none;border-left: none;">&nbsp;</th>
                            <th style="border-right: none;border-left: none;">&nbsp;</th>
                            <th style="border-right: none;border-left: none;">&nbsp;</th>
                            <th style="border-right: none;border-left: none;">&nbsp;</th>
                            <th style="border-right: none;border-left: none;">&nbsp;</th>
                            <th style="border-right: none;border-left: none;">&nbsp;</th>
                            <th style="border-right: none;border-left: none;">&nbsp;</th>
                            <th style="border-right: none;border-left: none;">&nbsp;</th>
                            <th style="border-right: none;border-left: none;">&nbsp;</th>
                            <th style="border-right: none;border-left: none;">&nbsp;</th>
                            <th style="border-right: none;border-left: none;">&nbsp;</th>
                            <th style="border-right: none;border-left: none;">&nbsp;</th>
                            <th style="border-right: none;border-left: none;">&nbsp;</th>
                            <th style="border-left: none;">&nbsp;</th>

                        </tr>




                        <tr>

                            <th class="text-center" style="border-bottom: none;"><strong>APARTMENT </strong></th>


                            <th style="border-right:none;">NO.</th>

                            <th style="border-left:none;border-right: none;"><strong> OF </strong></th>
                            <th style="border-left:none;">UNITS</th>


                            @if($multiproject_type == 'all')

                            <th style="border-right:none;">TOTAL</th>
                            <th style="border-left:none;border-right: none;"><strong> AREA </strong></th>
                            <th style="border-left:none;">(In 	{{\App\ProjectType::society_size}})</th>


                            <th style="border-right:none;">TOTAL</th>
                            <th style="border-left:none;border-right: none;"><strong> AREA </strong></th>
                            <th style="border-left:none;">(In {{\App\ProjectType::high_rise_size}})</th>


                            @else
                            <th style="border-right:none;">TOTAL</th>
                            <th style="border-left:none;border-right: none;"><strong> AREA </strong></th>
                            <th style="border-left:none;">(In 	 @if($multiproject_type ==  App\ProjectType::society)
                                 
                                {{\App\ProjectType::society_size}}
                              @elseif($multiproject_type == App\ProjectType::high_rise)
                                {{\App\ProjectType::high_rise_size}}
                              @endif)</th>

                            @endif





                            <th style="border-right:none;">TOTAL</th>
                            <th style="border-left:none;border-right: none;"><strong> SALES VALUE </strong></th>
                            <th style="border-left:none;">(In Rs.)</th>

                            <th style="border-right:none;">RECOVERY</th>
                            <th style="border-right:none;border-left:none;">AND</th>

                            <th style="border-left:none;border-right: none;"><strong> RECEIVEABLE AG. </strong>
                            </th>

                            <th style="border-right:none;border-left:none;">BOOKED</th>
                            <th style="border-left:none;">UNITS</th>

                        </tr>

                        <tr>
                            <th class="text-center" style="border-top: none;">TYPE</th>
                            <th class="text-center"><strong>Total</strong></th>
                            <th class="text-center"><strong>Booked</strong></th>
                            <th class="text-center"><strong>Unbooked</strong></th>
                            <th class="text-center"><strong>All Units</strong></th>
                            <th class="text-center"><strong>Booked </strong></th>
                            <th class="text-center"><strong>Un-Booked</strong></th>
                            @if($multiproject_type == 'all')

                            <th class="text-center"><strong>All Units</strong></th>
                            <th class="text-center"><strong>Booked </strong></th>
                            <th class="text-center"><strong>Un-Booked</strong></th>
                            @endif
                            <th class="text-center"><strong>Booked</strong></th>
                            <th class="text-center"><strong>Un-Booked</strong></th>
                            <th class="text-center"><strong>Total</strong></th>
                            <th class="text-center"><strong>Discount</strong></th>
                            <th class="text-center"><strong>Recovery </strong></th>
                            <th class="text-center"><strong>Balance Receivables </strong></th>
                            <th class="text-center"><strong>Overdues </strong></th>
                            <th class="text-center"><strong>Future Ins.</strong></th>
                        </tr>





                        <?php
                         $total_units_count = 0;
                        $booked_units_count = 0;
                        $un_booked_units_count = 0;

                        $total_units_count_2 = 0;
                        $booked_units_count_2 = 0;
                        $un_booked_units_count_2 = 0;

                        $total_units_area = 0;
                        $booked_units_area = 0;
                        $un_booked_units_area = 0;
                        $total_units_area_2 = 0;
                        $booked_units_area_2 = 0;
                        $un_booked_units_area_2 = 0;


                        $total_units_area_2 = 0;
                        $booked_units_area_2 = 0;
                        $un_booked_units_area_2 = 0;

                        $total_units_amount = 0;
                        $booked_units_amount = 0;
                        $un_booked_units_amount = 0;
                        $discount = 0;
                        $recovery = 0;
                        $receivable = 0;
                        $overdue = 0;
                        $future = 0; ?>

                        @foreach ($floor_data as $f)
                            <tr>
                                <td><strong>{{ $f['block'] }} - {{ $f['name'] }}</strong></td>
                                

                               
                                
                               
                               
                                <td class="text-center">{{ $f['total_units'] }}
                                    <?php $total_units_count += $f['total_units']; ?>
                                </td>
                                <td class="text-center">{{ $f['booked_units'] }}
                                    <?php $booked_units_count += $f['booked_units']; ?>
                                </td>
                                <td class="text-center">{{ $f['un_booked_units'] }}
                                    <?php $un_booked_units_count += $f['un_booked_units']; ?>
                                </td>
                                


                                @if($multiproject_type == 'all')
                                @if($f['project_type'] ==  \App\ProjectType::society )
                                <td class="text-center">
                                    {{ number_format($f['total_units_area']) }}
                                    <?php $total_units_area += $f['total_units_area']; ?>

                                </td>
                                
                                <td class="text-center">{{ number_format($f['booked_units_area']) }}
                                    <?php $booked_units_area += $f['booked_units_area']; ?></td>
                                <td class="text-center">{{ number_format($f['un_booked_units_area']) }}
                                    <?php $un_booked_units_area += $f['un_booked_units_area']; ?></td>
                                    <td class="text-center">
                                        0
                                    </td>
                                    
                                    <td class="text-center">0</td>
                                    <td class="text-center">0</td>
                                    @elseif($f['project_type'] ==  \App\ProjectType::high_rise )
                                    <td class="text-center">
                                        0
                                    </td>
                                    
                                    <td class="text-center">0</td>
                                    <td class="text-center">0</td>

                                    <td class="text-center">
                                        {{ number_format($f['total_units_area']) }}<?php $total_units_area_2 += $f['total_units_area']; ?>

                                    </td>
                                    
                                    <td class="text-center">{{ number_format($f['booked_units_area']) }}
                                        <?php $booked_units_area_2 += $f['booked_units_area']; ?></td>
                                    <td class="text-center">{{ number_format($f['un_booked_units_area']) }}
                                        <?php $un_booked_units_area_2 += $f['un_booked_units_area']; ?></td>
                                   @endif
                               @else
                               <td class="text-center">
                                {{ number_format($f['total_units_area']) }}<?php $total_units_area += $f['total_units_area']; ?>

                            </td>
                            
                            <td class="text-center">{{ number_format($f['booked_units_area']) }}
                                <?php $booked_units_area += $f['booked_units_area']; ?></td>
                            <td class="text-center">{{ number_format($f['un_booked_units_area']) }}
                                <?php $un_booked_units_area += $f['un_booked_units_area']; ?></td>
                           
                               @endif
                               
                               
                               
                                    <td class="text-right">{{ number_format($f['booked_units_amount']) }}
                                    <?php $booked_units_amount += $f['booked_units_amount']; ?></td>
                             
                             
                             
                             
                                    <td class="text-right">{{ number_format($f['un_booked_units_amount']) }}
                                    <?php $un_booked_units_amount += $f['un_booked_units_amount']; ?></td>
                                <td class="text-right">{{ number_format($f['total_units_amount']) }}
                                    <?php $total_units_amount += $f['total_units_amount']; ?></td>


                                <td class="text-right">
                                    @if ($f['total_units_amount'] - $f['booked_units_amount'] > 0)
                                        {{ number_format($f['total_units_amount'] - $f['booked_units_amount']) }}
                                    @else
                                        {{ 0 }}
                                    @endif
                                    <?php $discount += $f['total_units_amount'] - $f['booked_units_amount']; ?>
                                </td>


                                <td class="text-right">{{ number_format($f['recovery']) }}
                                    <?php $recovery += $f['recovery']; ?></td>
                                <td class="text-right">{{ number_format($f['receivable']) }}
                                    <?php $receivable += $f['receivable']; ?></td>
                                <td class="text-right">{{ number_format($f['overdue']) }}
                                    <?php $overdue += $f['overdue']; ?></td>
                                <td class="text-right">{{ number_format($f['future']) }}
                                    <?php $future += $f['future']; ?></td>
                            </tr>
                        @endforeach


                        <tr>
                            <td class="text-center"><strong>Total</strong></td>
                            <td class="text-center"><strong>{{ number_format($total_units_count) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format($booked_units_count) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format($un_booked_units_count) }}</strong>
                            </td>
                            <td class="text-center"><strong>{{ number_format($total_units_area) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format($booked_units_area) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format($un_booked_units_area) }}</strong>
                            </td>


                            <td class="text-center"><strong>{{ number_format($total_units_area_2) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format($booked_units_area_2) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format($un_booked_units_area_2) }}</strong>
                            </td>

                            <td class="text-center"><strong>{{ number_format($booked_units_amount) }}</strong>
                            </td>
                            <td class="text-center"><strong>{{ number_format($un_booked_units_amount) }}</strong>
                            </td>
                            <td class="text-center"><strong>{{ number_format($total_units_amount) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format($discount) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format($recovery) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format($receivable) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format($overdue) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format($future) }}</strong></td>
                        </tr>


                        @if (empty(request()->type))

                            @foreach ($type_data as $type)
                                <tr>
                                    <td style="border-right: none;">&nbsp;</td>

                                    <td style="border-right: none;border-left: none;">&nbsp;</td>
                                    <td style="border-right: none;border-left: none;">&nbsp;</td>
                                    <td style="border-right: none;border-left: none;">&nbsp;</td>
                                    <td style="border-right: none;border-left: none;">&nbsp;</td>
                                    <td style="border-right: none;border-left: none;">&nbsp;</td>
                                    <td style="border-right: none;border-left: none;">&nbsp;</td>
                                    <td style="border-right: none;border-left: none;">&nbsp;</td>
                                    <td style="border-right: none;border-left: none;">&nbsp;</td>
                                    <td style="border-right: none;border-left: none;">&nbsp;</td>
                                    <td style="border-right: none;border-left: none;">&nbsp;</td>
                                    <td style="border-right: none;border-left: none;">&nbsp;</td>
                                    <td style="border-right: none;border-left: none;">&nbsp;</td>
                                    <td style="border-right: none;border-left: none;">&nbsp;</td>
                                    <td style="border-left: none;">&nbsp;</td>

                                </tr>

                                <tr>
                                    <td style="border-right: none;border-top: none;border-bottom: none;">
                                        <strong>{{ $type['floor_name'] }}</strong></td>
                                    <td style="border-right: none;border-left: none;"></td>
                                    <td style="border-right: none;border-left: none;"></td>
                                    <td style="border-right: none;border-left: none;"></td>
                                    <td style="border-right: none;border-left: none;"></td>

                                    <td style="border-right: none;border-left: none;"></td>
                                    <td style="border-right: none;border-left: none;"></td>
                                    <td style="border-right: none;border-left: none;"></td>
                                    <td style="border-right: none;border-left: none;"></td>
                                    <td style="border-right: none;border-left: none;"></td>
                                    <td style="border-right: none;border-left: none;"></td>

                                    <td style="border-right: none;border-left: none;"></td>
                                    <td style="border-right: none;border-left: none;"></td>
                                    <td style="border-right: none;border-left: none;"></td>

                                    <td style="border-left: none;"></td>

                                </tr>

                                <?php $total_units_count = 0;
                                $booked_units_count = 0;
                                $un_booked_units_count = 0;
                                $total_units_area = 0;
                                $booked_units_area = 0;
                                $un_booked_units_area = 0;
                                $total_units_amount = 0;
                                $booked_units_amount = 0;
                                $un_booked_units_amount = 0;
                                $recovery = 0;
                                $discount = 0;
                                $receivable = 0;
                                $overdue = 0;
                                $future = 0; ?>

                                @foreach ($type['type'] as $t)
                                    @if ($t['total_units'] > 0)
                                        <tr>
                                            <td><strong>{{ $t['type_name'] }}</strong></td>
                                            <td class="text-center">{{ $t['total_units'] }} <?php $total_units_count += $t['total_units']; ?>
                                            </td>
                                            <td class="text-center">{{ $t['booked_units'] }}
                                                <?php $booked_units_count += $t['booked_units']; ?></td>
                                            <td class="text-center">{{ $t['un_booked_units'] }}
                                                <?php $un_booked_units_count += $t['un_booked_units']; ?></td>
                                            <td class="text-center">
                                                {{ number_format($t['total_units_area']) }}<?php $total_units_area += $t['total_units_area']; ?>

                                            </td>
                                            <td class="text-center">{{ number_format($t['booked_units_area']) }}
                                                <?php $booked_units_area += $t['booked_units_area']; ?></td>
                                            <td class="text-center">
                                                {{ number_format($t['un_booked_units_area']) }}
                                                <?php $un_booked_units_area += $t['un_booked_units_area']; ?></td>
                                            <td class="text-right">{{ number_format($t['booked_units_amount']) }}
                                                <?php $booked_units_amount += $t['booked_units_amount']; ?></td>
                                            <td class="text-right">
                                                {{ number_format($t['un_booked_units_amount']) }}
                                                <?php $un_booked_units_amount += $t['un_booked_units_amount']; ?></td>
                                            <td class="text-right">{{ number_format($t['total_units_amount']) }}
                                                <?php $total_units_amount += $t['total_units_amount']; ?></td>
                                            <td class="text-right">{{ number_format($t['discount']) }}
                                                <?php $discount += $t['discount']; ?></td>
                                            <td class="text-right">{{ number_format($t['recovery']) }}
                                                <?php $recovery += $t['recovery']; ?></td>
                                            <td class="text-right">{{ number_format($t['receivable']) }}
                                                <?php $receivable += $t['receivable']; ?></td>
                                            <td class="text-right">{{ number_format($t['overdue']) }}
                                                <?php $overdue += $t['overdue']; ?></td>
                                            <td class="text-right">{{ number_format($t['future']) }}
                                                <?php $future += $t['future']; ?></td>
                                        </tr>
                                    @endif
                                @endforeach

                                <tr>
                                    <td class="text-center"><strong>Total</strong></td>
                                    <td class="text-center">
                                        <strong>{{ number_format($total_units_count) }}</strong></td>
                                    <td class="text-center">
                                        <strong>{{ number_format($booked_units_count) }}</strong></td>
                                    <td class="text-center">
                                        <strong>{{ number_format($un_booked_units_count) }}</strong></td>
                                    <td class="text-center">
                                        <strong>{{ number_format($total_units_area) }}</strong></td>
                                    <td class="text-center">
                                        <strong>{{ number_format($booked_units_area) }}</strong></td>
                                    <td class="text-center">
                                        <strong>{{ number_format($un_booked_units_area) }}</strong></td>
                                    <td class="text-center">
                                        <strong>{{ number_format($booked_units_amount) }}</strong></td>
                                    <td class="text-center">
                                        <strong>{{ number_format($un_booked_units_amount) }}</strong></td>
                                    <td class="text-center">
                                        <strong>{{ number_format($total_units_amount) }}</strong></td>
                                    <td class="text-center"><strong>{{ number_format($discount) }}</strong></td>
                                    <td class="text-center"><strong>{{ number_format($recovery) }}</strong></td>
                                    <td class="text-center"><strong>{{ number_format($receivable) }}</strong></td>
                                    <td class="text-center"><strong>{{ number_format($overdue) }}</strong></td>
                                    <td class="text-center"><strong>{{ number_format($future) }}</strong></td>
                                </tr>
                                @if ($total_units_count > 0)
                                    <tr>
                                        <td class="text-center"><strong>Percentage</strong></td>
                                        <td class="text-center"><strong></strong></td>
                                        <td class="text-center">
                                            <strong>{{ round(($booked_units_count / $total_units_count) * 100) }}
                                                %</strong></td>
                                        <td class="text-center">
                                            <strong>{{ round(($un_booked_units_count / $total_units_count) * 100) }}
                                                %</strong></td>
                                        <td class="text-center"><strong></strong></td>
                                        <td class="text-center"><strong>
                                                @if ($total_units_area > 0)
                                                    {{ round(($booked_units_area / $total_units_area) * 100) }}
                                                @endif %
                                            </strong></td>
                                        <td class="text-center"><strong>
                                                @if ($total_units_area > 0)
                                                    {{ round(($un_booked_units_area / $total_units_area) * 100) }}
                                                @endif %
                                            </strong></td>
                                        <td class="text-center"><strong>
                                                @if ($total_units_amount > 0)
                                                    {{ round(($booked_units_amount / $total_units_amount) * 100) }}
                                                @endif %
                                            </strong></td>
                                        <td class="text-center"><strong>
                                                @if ($total_units_amount > 0)
                                                    {{ round(($un_booked_units_amount / $total_units_amount) * 100, 1) }}
                                                @endif %
                                            </strong></td>
                                        <td class="text-center"><strong></strong></td>
                                        <td class="text-center"><strong>
                                                @if ($booked_units_amount > 0)
                                                    {{ round(($discount / $booked_units_amount) * 100, 1) }}
                                                @endif %
                                            </strong></td>
                                        <td class="text-center"><strong>
                                                @if ($booked_units_amount > 0)
                                                    {{ round(($recovery / $booked_units_amount) * 100, 1) }}
                                                @endif %
                                            </strong></td>
                                        <td class="text-center"><strong>
                                                @if ($booked_units_amount > 0)
                                                    {{ round(($receivable / $booked_units_amount) * 100, 1) }}
                                                @endif %
                                            </strong></td>
                                        <td class="text-center"><strong>
                                                @if ($receivable > 0)
                                                    {{ round(($overdue / $receivable) * 100) }}
                                                @endif %
                                            </strong></td>
                                        <td class="text-center"><strong>
                                                @if ($receivable > 0)
                                                    {{ round(($future / $receivable) * 100, 1) }}
                                                @endif %
                                            </strong></td>
                                    </tr>
                                @endif
                            @endforeach

                        @endif

                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>