 
    @php
    $society = false;
    $highrise = false;
    $size = '';
    $map = ' ';
    
    if ($projecttype->id == App\ProjectType::society) {
        $society = true;
        $size = \App\ProjectType::society_size;
        $map = \App\ProjectType::society_map;
    }
    
    if ($projecttype->id == App\ProjectType::high_rise) {
        $highrise = true;
        $size = \App\ProjectType::high_rise_size;
        $map = \App\ProjectType::high_rise_map;
    }
     
    @endphp
      <input type='hidden' value='{{ $projecttype->id }}' id='type'>
    <div class="form-group">
        <h2 style='padding-left:1%'>List No:</h2>
        {{-- <label for="address" class="  control-label">List #</label> --}}
        <div class="col-sm-12">
            <div class="input-group" style='width: 38%; margin-left: 90px; margin-top: -45px;'>
                <div class="input-group-addon"><i class="fa fa-circle-o"></i></div>
                <input type="text" class="form-control" name="list_number"
                    value="LN-00{{ \App\PriceList::getUniqueList() }}" id="list_number"
                    placeholder="Enter Price List Number">
                @if ($errors->has('list_number'))
                    <span class="help-block">
                        <strong>{{ $errors->first('list_number') }}</strong>
                    </span>
                @endif
            </div>
        </div>

    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-info">
                <div class="panel-heading">Add Detail
                </div>
                @if ($highrise)

                    <div class="form-group" id="highrise_price">
                        <div class=col-md-12 style="overflow-y:auto;height:381px;">
                            <table
                                class="table table-bordered table-responsive-md table-striped text-center">
                                <thead>
                                    <tr>
                                        <th class="text-center">Unit {{ $map }}</th>
                                        <th class="text-center">Unit Type</th>

                                        <th class="text-center">Per/ {{ $size }} Price
                                            (PKR)</th>





                                    </tr>



                                </thead>
                                <tbody id="tbody_data">
                                    <?php for($i =0 ; $i<1; $i++) {?>
                                    <tr height="2px" id="account_tr_{{ $i }}"
                                        data-id="{{ $i }}">

                                        <td class="pt-3-half account" style="width: 30%"
                                            contenteditable="true">


                                            <select class="form-control chosen-select us_acnt"
                                                style="width: 80%;height: 26px;font-size: 11px;padding: 0px;padding-left: 18px;cursor: pointer;"
                                                name="unit_floor[]">
                                                <option>None</option>
                                                @foreach ($h_r_floor as $t)
                                                    <option value="{{ $t->id }}">
                                                        {{ $t->name }}
                                                    </option>
                                                @endforeach
                                            </select>
                                        </td>

                                        <td class="pt-3-half account" style="width: 30%"
                                            contenteditable="true">
                                            <select class="form-control chosen-select us_acnt"
                                                style="width: 80%;height: 26px;font-size: 11px;padding: 0px;padding-left: 18px;cursor: pointer;"
                                                name="unit_type[]">
                                                <option>None</option>
                                                @foreach ($h_r_types as $t)
                                                    <option value="{{ $t->id }}">
                                                        {{ $t->name }}
                                                    </option>
                                                @endforeach
                                            </select>
                                        </td>



                                        <td class="pt-3-half name" style='width: 30%;'>
                                            <input class="form-control size unit_quantity"
                                                data-id="0" id='per_price_0'
                                                onkeyup="perPriceFunction(this)"
                                                onclick="perPriceFunction(this)" type="number"
                                                name='per_price[]'>
                                        </td>


                                        <td class="pt-3-half name">
                                            <button type="button"
                                                class="btn btn-sm btn-success btn-sm addRowBtn"
                                                data-id="{{ $i }}"
                                                onclick="addNewRow(this)"><i
                                                    class="fa fa-plus"></i></button>

                                        </td>

                                    </tr>

                                    <tr id="narration_tr_{{ $i }}"
                                        class="tr_{{ $i }}">

                                    </tr>

                                    <?php } ?>






                                </tbody>
                            </table>
                        </div>
                    </div>

                @endif
                @if ($society)

                    <div class='society' id='society_data'
                        style="display:<?= old('type') == 1 ? 'none' : '' ?>">

                        <div class=col-md-12 style="overflow-y:auto;height:381px;">
                            <table
                                class="table table-bordered table-responsive-md table-striped text-center">
                                <thead>
                                    <tr>

                                        <th class="text-center">Unit Type</th>
                                        <th class="text-center">Size</th>
                                        <th class="text-center">Per/{{ $size }} Price (PKR)
                                        </th>
                                        <th class="text-center">Total Price (PKR)</th>




                                    </tr>

                                </thead>
                                <tbody id="tbody_data">
                                    <?php for($i =0 ; $i<1; $i++) {?>
                                    <tr height="2px" id="account_tr_{{ $i }}"
                                        data-id="{{ $i }}">

                                        <td class="pt-3-half account" style="width: 40%"
                                            contenteditable="true">


                                            <select class="form-control chosen-select us_acnt"
                                                style="width: 80%;height: 26px;font-size: 11px;padding: 0px;padding-left: 18px;cursor: pointer;"
                                                name="unit_type[]">
                                                <option>None</option>
                                                @foreach ($types as $t)
                                                    <option value="{{ $t->id }}">
                                                        {{ $t->name }}
                                                    </option>
                                                @endforeach
                                            </select>
                                        </td>

                                        <td class="pt-3-half name" contenteditable="true">
                                            <select class="form-control chosen-select"
                                                style="width: 80%;height: 26px;font-size: 11px;padding: 0px;padding-left: 18px;cursor: pointer;"
                                                name="unit_size[]" id='unit_size_0'
                                                onchange="unitChangeFunction(this)"
                                                data-id='0'>
                                                <option>None</option>
                                                @foreach ($sizes as $s)
                                                    <option style="font-size: 11px;"
                                                        value="{{ $s->id }}"
                                                        data-value={{ $s->name }}>
                                                        {{ $s->name }} {{ $size }}
                                                    </option>
                                                @endforeach

                                            </select>
                                        </td>



                                        <td class="pt-3-half name" style='width: 20%;'>
                                            <input class="form-control size unit_quantity"
                                                data-id="0" id='per_price_0'
                                                onkeyup="perPriceFunction(this)"
                                                onclick="perPriceFunction(this)" type="number"
                                                name='per_price[]'>
                                        </td>
                                        <td class="pt-3-half name" style='width: 20%;'>
                                            <input class="form-control size unit_quantity"
                                                data-id="0" id='total_price_0'
                                                onkeyup="totalPriceFunction(this)"
                                                onclick="totalPriceFunction(this)" type="number"
                                                name='total_price[]'>
                                        </td>

                                        <td class="pt-3-half name">
                                            <button type="button"
                                                class="btn btn-sm btn-success btn-sm addRowBtn"
                                                data-id="{{ $i }}"
                                                onclick="addNewRow(this)"><i
                                                    class="fa fa-plus"></i></button>

                                        </td>

                                    </tr>

                                    <tr id="narration_tr_{{ $i }}"
                                        class="tr_{{ $i }}">

                                    </tr>

                                    <?php } ?>






                                </tbody>
                            </table>
                        </div>


                    </div>

                @endif



            </div>








            <div class="form-group">
                <div class="col-sm-4">&nbsp;</div>
                <div class=" col-sm-4">
                    <button type="submit" class="btn btn-info waves-effect waves-light "
                        style="width: 100%">Save</button>
                </div>
            </div>

        </div>
    </div>
 