 
<div class="row" style="margin-top: 25px;">
    <div class="col-md-12">
        <div class="panel panel-info">
            <div class="panel-heading">Search Statements</div>
            <div class="panel-wrapper collapse in" aria-expanded="true">
                <div class="panel-body">
                    <form >
                        <div class="form-body">
                            <div class="row">
                                   <!--/span-->
                   
                    <!--/span-->
                                <!--/span-->
                                <div class="col-md-3">
                                    <div class="form-group has-success" style="margin-bottom: 15px">
                                        <label class="control-label">By Unit No.</label>

                                        <select id="unit" class="form-control chosen-select">
                                            <option  value="0">None</option>
                                            @foreach($unitNumbers as $p)
                                                <option value="{{$p->id}}">{{$p->unit_number}}</option>
                                            @endforeach
                                        </select> </div>
                                </div>
                                <!--/span-->
                                <!--/span-->
                                <div class="col-md-3">
                                    <div class="form-group has-success" style="margin-bottom: 15px">
                                        <label class="control-label">By Customer</label>

                                        <select id="customer" class="form-control chosen-select">
                                            <option  value="0">None</option>
                                            @foreach($customers as $c)
                                                <option value="{{$c->id}}">{{$c->name}}</option>
                                            @endforeach
                                        </select> </div>
                                </div>
                                <!--/span-->

                                <!--/span-->
                                <div class="col-md-3">
                                    <div class="form-group has-success" style="margin-bottom: 15px">
                                        <label class="control-label">By Dealer</label>

                                        <select id="dealer" class="form-control chosen-select">
                                            <option  value="0">None</option>
                                            @foreach($dealers as $d)
                                                <option value="{{$d->id}}">{{$d->name}}-{{$d->code}}</option>
                                            @endforeach
                                        </select> </div>
                                </div>
                                <!--/span-->

                                <!--/span-->
                                <div class="col-md-3">
                                    <div class="form-group has-success" style="margin-bottom: 15px">
                                        <label class="control-label">By status</label>
                                        <select id="status" class="form-control chosen-select">
                                            <option  value="0">None</option>
                                            <option  value="{{\App\CustomerProperty::pending}}">Pending</option><option value="{{\App\CustomerProperty::cancel}}">Cancelled</option>

                                        </select> </div>
                                </div>
                                <!--/span-->
                                <div class="col-md-3">
                                    <div class="form-actions" style="margin-top: 26px">
                                        <button type="button" class="btn btn-success search-customer"> <i class="fa fa-check" ></i> Search</button>

                                    </div>
                                </div>
                            </div>


                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- /row -->
<div class="row" id="update-table">
    <div class="col-sm-12">
        <div class="white-box">

            <h3 class="box-title">Pending Statements ({{$statementCount}})</h3>

            <div class="table-responsive">
                <table id="myTable" class="table table-striped">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Project</th>
                            <th>Unit #</th>
                            <th>Size</th>
                            <th>Member Name</th>
                            <th>Net Amount</th>

                            <th>Received Amount</th>
                            <th>Sold By</th>
                            <th>Booking Date</th>
                            <th>Status</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $count =1;?>
                        @foreach($allStatements as $statement)
                        <tr >
                            <td>{{$count++}}</td>
                            <td>
                                @if($statement->inventory)
                                 @if($statement->inventory->multiProject)
                                 {{$statement->inventory->multiProject->name}}
                                 @else
                                 None
                                @endif
                               
                              @endif
                            </td>
                        
                             <td>{{$statement->inventory ? $statement->inventory->unit_number : '' }}</td>
                              <td>@if($statement->inventory)
                                @if($statement->inventory->size)
                                
                                {{$statement->inventory->size->name}} 
                                
                                @php
                                $size = '';
                                
                                if ( $statement->inventory->multiProject->type->id == \App\ProjectType::society) {
                                    $size = \App\ProjectType::society_size;
                                } else {
                                    $size = \App\ProjectType::high_rise_size;
                                }
                                
                            @endphp

                                {{ $size }}
                                @endif
                                @endif
                            </td>
                            <td>{{$statement->customer ? $statement->customer->name: ''}}</td>

                            <td>{{number_format($statement->net_pay)}} PKR</td>


                            <td>{{number_format($receivedAmt[$statement->id])}} PKR</td>

                            <td>
                                @if($statement->dealer)
                                {{$statement->dealer->name}} <b>({{$statement->dealer->dealerType->name}})</b>
                                @else
                                Company
                                @endif
                            </td>

                            <td>{{date('d-m-Y', strtotime($statement->booking_date)) }}</td>



                            @if($statement->status == \App\CustomerProperty::pending)
                            <td><span class="label label-primary" style="background-color:#cd703d;">Pending</span></td>

                            @elseif($statement->status == \App\CustomerProperty::approved)
                            <td><span class="label label-success">Approved</span></td>
                            @elseif($statement->status == \App\CustomerProperty::cancel)
                            <td><span class="label label-danger">Canceled</span></td>
                            @else
                            <td></td>
                            @endif



                            <td class="text-nowrap">
                                <a href="{{route('statement.detail',['id'=>$statement->id])}}" data-toggle="tooltip" data-original-title="View"> <i class="fa fa-eye text-inverse m-r-10"></i> </a>

                                <a href="{{route('statement.editPendingView',['id'=>$statement->id])}}" data-toggle="tooltip" data-original-title="Update Reference No."> <i class="fa fa-sun-o text-inverse m-r-10"></i> </a>


                                <a href="{{route('statement.delete',['id'=>$statement->id])}}" data-toggle="confirmation" data-placement="left" data-title="Are you sure to delete?" > <i class="fa fa-close text-danger"></i> </a>
                            </td>

                        </tr>

                        @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<!-- /.row -->