

<?php $__env->startSection('title'); ?>
    Add New Role
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
    <ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="<?php echo e(route('role.view')); ?>">Roles </a></li>
        <li class="active">Add Role</li>
    </ol>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <div class="container-fluid">
        <!--.row-->
        <div class="row">

            <div class="col-md-12">
                <div class="white-box">
                    <h3 class="box-title m-b-0" style="font-size: 18px;"><i class="fa fa-user-md" aria-hidden="true"></i>&nbsp;Add New role</h3>
                    <p class="text-muted m-b-30 font-13" style="height: 5px;"> Add the information </p>
                    <hr>
                    <form class="form-horizontal" action="<?php echo e(route('role.create')); ?>" method="post" style="margin-top: 30px; margin-bottom: 30px;">
                        <?php echo e(csrf_field()); ?>

                        <div class="form-group">
                            <label for="exampleInputuname" class="col-sm-2 control-label">Select Project  <span
                                    style="color: red">*</span></label>
                            <div class="col-sm-10">
                                <div class="input-group" style="width:400px">

                                    <select id="multipro" multiple="multiple" class="form-control js-example-basic-multiple" name="multipro_id[]">
                                        <option value=""><b>None</b></option>
                                        <?php $__currentLoopData = $multi_projects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pro): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            
                                                <option value="<?php echo e($pro->id); ?>"><?php echo e($pro->name); ?> </option>
                                            
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php if($errors->has('multipro_id')): ?>
                                        <span class="help-block">
                                            <strong><?php echo e($errors->first('multipro_id')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="exampleInputuname" class="col-sm-2 control-label"> Name <span
                                    style="color: red">*</span></label>
                            <div class="col-sm-10">
                                <div class="input-group" style="width:400px">

                                    <input type="text" class="form-control" name="name" value="<?php echo e(old('name')); ?>"
                                        id="exampleInputuname" placeholder="Enter Name">
                                    <?php if($errors->has('name')): ?>
                                        <span class="help-block">
                                            <strong><?php echo e($errors->first('name')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="exampleInputuname" class="col-sm-2 control-label"> Description </label>
                            <div class="col-sm-10">
                                <div class="input-group" style="width:400px">

                                    <input type="text" class="form-control" name="description"
                                        value="<?php echo e(old('description')); ?>" id="exampleInputuname" placeholder="Enter Description...">
                                    <?php if($errors->has('description')): ?>
                                        <span class="help-block">
                                            <strong><?php echo e($errors->first('description')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>


                        <div class="form-group m-b-0">
                        <!-- col-sm-offset-3 col-sm-9 -->
                            <div class="col-sm-offset-3 col-sm-2" style="margin-left: 215px;">
                                <button type="submit" class="btn btn-info waves-effect waves-light m-t-10" style="width: 100%;">Save</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!--./row-->
    </div>
    <!-- /.container-fluid -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
<script>

$(document).ready(function() {
    $('.js-example-basic-multiple').select2();
});
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\erpv7\resources\views/Setting/role/add-role.blade.php ENDPATH**/ ?>