


<?php $__env->startSection('title'); ?>
Add New Employee 
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
        
        <li ><a href="<?php echo e(route('employee.sheet')); ?>">All Employees</a></li>
       
        <li class="active">Add Employee</li>
      </ol>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="container-fluid">
  <!--.row-->
  <div class="row">
    <div class="col-md-12">
       <?php if(Session::has('error')): ?> <div id="successMessage" class="alert alert-success" role="alert">
        <?php echo e(Session::get('error')); ?>

      </div> <?php endif; ?> <div class="white-box">
        <div class="row">
          <div class="col-md-6" align="center">
            <h3 class="box-title m-b-0">
              <i class="icon-user fa-fw"></i>Employee Persional Information
            </h3>
            <hr style="border-width: 25px;">
          </div>
          <div class="col-md-6" align="center">
            <h3 class="box-title m-b-0">
              <i class="icon-user fa-fw"></i> Company Details
            </h3>
            <hr style="border-width: 25px;">
          </div>
        </div>
        <form class="form-horizontal" action="<?php echo e(route('hrmemployee.store')); ?>" method="post" autocomplete="off" onto enctype="multipart/form-data">
          <?php echo e(csrf_field()); ?>

          <div class=" row">
            <div class="col-md-6">
              <div class="form-group">
                <label for="exampleInputuname" class="col-sm-2 control-label"> Name <span style="color: red">*</span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="ti-user"></i>
                    </div>
                    <input type="text" class="form-control" name="name" value="<?php echo e(old('name')); ?>" id="uname" placeholder="Enter Name"> 
                    <?php if($errors->has('name')): ?> 
                    <span class="help-block">
                      <strong><?php echo e($errors->first('name')); ?></strong>
                    </span> 
                    <?php endif; ?>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group">
                <label for="ecode" class="col-sm-2 control-label">Employee ID <span style="color: red"></span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="icon-lock"></i>
                    </div>
                    <input type="text" class="form-control" name="employee_id" value="<?php echo e(old('employee_id')); ?>" id="ecode" placeholder="Enter Code"> 
                    <?php if($errors->has('employee_id')): ?> 
                    <span class="help-block">
                      <strong><?php echo e($errors->first('employee_id')); ?></strong>
                    </span> 
                    <?php endif; ?>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6">
              <div class="form-group">
                <label for="cnic" class="col-sm-2 control-label">CNIC <span style="color: red">*</span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="icon-credit-card"></i>
                    </div>
                    <input type="text" class="form-control" value="<?php echo e(old('cnic')); ?>" name="cnic" id="cnic" data-inputmask="'mask': '99999-9999999-9'" placeholder="XXXXX-XXXXXXX-X"> <?php if($errors->has('cnic')): ?> <span class="help-block">
                      <strong><?php echo e($errors->first('cnic')); ?></strong>
                    </span> <?php endif; ?>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group">
                <label for="address" class="col-sm-2 control-label">Department <span style="color: red">*</span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="fa fa-user-secret"></i>
                    </div>
                    <select class="form-control select2" name="department"> <?php if($DepartmentLists->count() > 0 ): ?> <option value="">Select Department </option> <?php $__currentLoopData = $DepartmentLists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $DepartmentList): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> <option value="<?php echo e($DepartmentList->id); ?>"><?php echo e($DepartmentList->department_name); ?></option> <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <?php endif; ?> </select> <?php if($errors->has('department')): ?> <span class="help-block">
                      <strong><?php echo e($errors->first('department')); ?></strong>
                    </span> <?php endif; ?>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6">
              <div class="form-group">
                <label for="exampleInputuname" class="col-lg-2 control-label">Gender <span style="color: red">*</span>
                </label>
                <div class="col-lg-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="ti-user"></i>
                    </div>
                    <label class="radio-inline">
                      <input type="radio" value="Male" name="gender" checked>Male </label>
                    <label class="radio-inline">
                      <input type="radio" value="Female" name="gender">Female </label>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group">
                <label for="address" class="col-sm-2 control-label">Country <span style="color: red"></span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="ti-world"></i>
                    </div>
                    <select class="form-control select2" id="country_id" name="country">
                      <option>Select Country</option> <?php $__currentLoopData = $country; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $count): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> <option value="<?php echo e($count->id); ?>"><?php echo e($count->name); ?></option> <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select> <?php if($errors->has('country')): ?> <span class="help-block">
                      <strong><?php echo e($errors->first('country')); ?></strong>
                    </span> <?php endif; ?>
                  </div>
                </div>
              </div>

              
            </div>
          </div>
          <div class="row">
            <div class="col-md-6">
              <div class="form-group">
                <label for="cnic" class="col-sm-2 control-label">Date of Birth <span style="color: red">*</span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="icon-calender"></i>
                    </div>
                    <input type="date" class="form-control" value="<?php echo e(old('dob')); ?>" max="<?php echo e(date('Y-m-d')); ?>" name="dob" id="dob"> <?php if($errors->has('dob')): ?> <span class="help-block">
                      <strong><?php echo e($errors->first('dob')); ?></strong>
                    </span> <?php endif; ?>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group">
                <label for="address" class="col-sm-2 control-label">City <span style="color: red"></span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="icon-location-pin"></i>
                    </div>
                    <select class="form-control select2" id="city_id" name="city">
                      <option>Select City</option> <?php $__currentLoopData = $city; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> <option value="<?php echo e($cit->id); ?>"><?php echo e($cit->name); ?></option> <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select> <?php if($errors->has('city')): ?> <span class="help-block">
                      <strong><?php echo e($errors->first('city')); ?></strong>
                    </span> <?php endif; ?>
                  </div>
                </div>
              </div> 
              </div>
          </div>
          <div class="row">
            <div class="col-md-6">
              <div class="form-group">
                <label for="exampleInputEmail1" class="col-sm-2 control-label">Phone Number <span style="color: red">*</span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="icon-phone"></i>
                    </div>
                    <input type="text" class="form-control" maxlength="12" data-inputmask="'mask': '0399-99999999'" type='number' name="phone_number" value="<?php echo e(old('phone_number')); ?>" placeholder="Enter Phone Number"> <?php if($errors->has('phone_number')): ?> <span class="help-block">
                      <strong><?php echo e($errors->first('phone_number')); ?></strong>
                    </span> <?php endif; ?>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group">
                <label for="cnic" class="col-sm-2 control-label">Date of Joining <span style="color: red"></span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="icon-calender"></i>
                    </div>
                    <input type="date" class="form-control" name="date_of_joing" value="<?php echo e(old('dob')); ?>" max="<?php echo e(date('Y-m-d')); ?>" name="date_of_joing" id="date_of_joing"> <?php if($errors->has('date_of_joing')): ?> <span class="help-block">
                      <strong><?php echo e($errors->first('date_of_joing')); ?></strong>
                    </span> <?php endif; ?>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6">
              <div class="form-group">
                <label for="address" class="col-sm-2 control-label">Residential Address <span style="color: red">*</span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="icon-location-pin"></i>
                    </div>
                    <input type="text" class="form-control" name="Resi_address" value="<?php echo e(old('Resi_address')); ?>" id="address1" placeholder="Enter Residential Address..."> <?php if($errors->has('Resi_address')): ?> <span class="help-block">
                      <strong><?php echo e($errors->first('Resi_address')); ?></strong>
                    </span> <?php endif; ?>
                  </div>
                </div>
              </div>
            </div>
             <div class="col-md-6">
              <div class="form-group">
                <label for="exampleInputuname" class="col-sm-2 control-label">Monthly Salary <span style="color: red">*</span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="ti-user"></i>
                    </div>
                    <input type="text" class="form-control" name="salary" value="<?php echo e(old('salary')); ?>" id="exampleInputuname" placeholder="Enter Monthly Salary"> <?php if($errors->has('salary')): ?> <span class="help-block">
                      <strong><?php echo e($errors->first('salary')); ?></strong>
                    </span> <?php endif; ?>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6">
              <div class="form-group">
                <label for="address" class="col-sm-2 control-label">Permanent Address <span style="color: red">*</span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="icon-location-pin"></i>
                    </div>
                    <input type="text" class="form-control" name="per_address" value="<?php echo e(old('per_address')); ?>" id="address1" placeholder="Enter Permanent Address..."> <?php if($errors->has('per_address')): ?> <span class="help-block">
                      <strong><?php echo e($errors->first('per_address')); ?></strong>
                    </span> <?php endif; ?>
                  </div>
                </div>
              </div>
            </div>

            <div class="col-md-6">
              <div class="form-group">
                <label for="exampleInputuname" class="col-lg-2 control-label">Salary Method  <span style="color: red">*</span>
                </label>
                <div class="col-lg-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="ti-user"></i>
                    </div>
                    <label class="radio-inline">
                      <input type="radio" value="cheque" name="salary_method" checked>Cheque</label>
                    <label class="radio-inline">
                      <input type="radio" value="cash" name="salary_method">Cash</label>
                    <label class="radio-inline">
                      <input type="radio" value="bank" name="salary_method">Bank</label>
                  </div>
                </div>
              </div>
            </div>
            
                    
          </div>
          <div class="row">
            <div class="col-md-6">
              <div class="form-group">
                <label for="address" class="col-sm-2 control-label">Role <span style="color: red">*</span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="fa fa-user-secret"></i>
                    </div>
                    <select class="form-control select2" name="role_name">
                      <option value="">Select role</option> <?php if($roles->count() > 0 ): ?> <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> <option value="<?php echo e($list->id); ?>"><?php echo e($list->name); ?></option> <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <?php endif; ?>
                    </select> <?php if($errors->has('role_name')): ?> <span class="help-block">
                      <strong><?php echo e($errors->first('role_name')); ?></strong>
                    </span> <?php endif; ?>
                  </div>
                </div>
              </div>
            </div>

            <div class="col-md-6">
              <div class="form-group">
                <label for="address" class="col-sm-2 control-label">Designation <span style="color: red">*</span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="fa fa-user-secret"></i>
                    </div>
                    <select class="form-control select2" name="designation">
                     <?php if($DesignationLists->count() > 0 ): ?> 
                     <option value="">Select Designation </option>
                      <?php $__currentLoopData = $DesignationLists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $DesignationList): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                       <option value="<?php echo e($DesignationList->id); ?>"><?php echo e($DesignationList->name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?> </select> <?php if($errors->has('designation')): ?> 
                        <span class="help-block">
                      <strong><?php echo e($errors->first('designation')); ?></strong>
                    </span>
                     <?php endif; ?>
                  </div>
                </div>
              </div>
            </div>
              

          </div>
          <div class="row">
            <div class="col-md-6">
              <div class="form-group">
                <label for="exampleInputEmail1" class="col-sm-2 control-label">Email <span style="color: red">*</span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="ti-email"></i>
                    </div>
                    <input type="email" class="form-control" name="email" value="" id="exampleInputEmail1" placeholder="Enter email" autocomplete="off"> <?php if($errors->has('email')): ?> <span class="help-block">
                      <strong><?php echo e($errors->first('email')); ?></strong>
                    </span> <?php endif; ?>
                  </div>
                </div>
              </div>
            </div>

            <div class="col-md-6">
              <div class="form-group">
                <label for="address" class="col-sm-2 control-label">Contract Type <span style="color: red"></span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="fa fa-user-secret"></i>
                    </div>
                    <select class="form-control select2" name="contract_type">
                      <option value="full_time" selected="">Full Time </option>
                      <option value="contract" selected="">Contract </option>
                      <option value="" selected="">Select Type </option>
                    </select> <?php if($errors->has('contract_type')): ?> <span class="help-block">
                      <strong><?php echo e($errors->first('contract_type')); ?></strong>
                    </span> <?php endif; ?>
                  </div>
                </div>
              </div>
            </div>

          </div>
          <div class="row">
            <div class="col-md-6">
              <div class="form-group">
                <label for="exampleInputEmail1" class="col-sm-2 control-label">Password <span style="color: red">*</span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="icon-key"></i>
                    </div>
                    <input type="password" class="form-control" name="password" value="" id="exampleInputEmail1" placeholder="Enter password" autocomplete="off"> <?php if($errors->has('password')): ?> <span class="help-block">
                      <strong><?php echo e($errors->first('password')); ?></strong>
                    </span> <?php endif; ?>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <hr style="border-width: 25px;">
          <hr>
          <div class="row">
            <div class="col-md-6" align="center">
              <h3 class="box-title m-b-0">
                <i class="icon-user fa-fw"></i> Bank Account Details
              </h3>
              <hr style="border-width: 25px;">
            </div>
          </div>
          <div class="row">
           
            <div class="col-md-6">
              <div class="form-group">
                <label for="exampleInputuname" class="col-sm-2 control-label"> Name <span style="color: red"></span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="ti-user"></i>
                    </div>
                    <input type="text" class="form-control" name="holder_name" value="<?php echo e(old('holder_name')); ?>" id="exampleInputuname" placeholder="Enter Account Holder Name"> <?php if($errors->has('holder_name')): ?> <span class="help-block">
                      <strong><?php echo e($errors->first('holder_name')); ?></strong>
                    </span> <?php endif; ?>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            
            <div class="col-md-6">
              <div class="form-group">
                <label for="exampleInputuname" class="col-sm-2 control-label">Bank Name <span style="color: red"></span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="ti-user"></i>
                    </div>
                    <input type="text" class="form-control" name="bank_name" value="<?php echo e(old('bank_name')); ?>" id="exampleInputuname" placeholder="Enter Bank Name..."> <?php if($errors->has('bank_name')): ?> <span class="help-block">
                      <strong><?php echo e($errors->first('bank_name')); ?></strong>
                    </span> <?php endif; ?>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class=" row">
            
            <div class="col-md-6">
              <div class="form-group">
                <label for="exampleInputuname" class="col-sm-2 control-label">Location <span style="color: red"></span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="ti-user"></i>
                    </div>
                    <input type="text" class="form-control" name="location" value="<?php echo e(old('location')); ?>" id="exampleInputuname" placeholder="Enter Branch Location..."> <?php if($errors->has('location')): ?> <span class="help-block">
                      <strong><?php echo e($errors->first('location')); ?></strong>
                    </span> <?php endif; ?>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            
            <div class="col-md-6">
              <div class="form-group">
                <label for="exampleInputuname" class="col-sm-2 control-label">Account Number <span style="color: red"></span>
                </label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="ti-user"></i>
                    </div>
                    <input type="number" class="form-control" name="account_no" value="<?php echo e(old('account_no')); ?>" id="exampleInputuname" placeholder="Account No."> <?php if($errors->has('account_no')): ?> <span class="help-block">
                      <strong><?php echo e($errors->first('account_no')); ?></strong>
                    </span> <?php endif; ?>
                  </div>
                </div>
              </div>
              <div class="col-md-12">
                <div class="form-group">
                  <label for="exampleInputuname" class="col-sm-2 control-label">Code <span style="color: red"></span>
                  </label>
                  <div class="col-sm-10">
                    <div class="input-group">
                      <div class="input-group-addon">
                        <i class="ti-user"></i>
                      </div>
                      <input type="number" class="form-control" name="bank_code" value="<?php echo e(old('name')); ?>" id="exampleInputuname" placeholder="Bank Identifier Code.."> <?php if($errors->has('bank_code')): ?> <span class="help-block">
                        <strong><?php echo e($errors->first('bank_code')); ?></strong>
                      </span> <?php endif; ?>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            
            <div class=" col-sm-12">&nbsp;</div>
            <div class=" col-sm-12">
              <div class="form-group">
                <hr style="border-width: 3px;">
                <button type="submit" class="btn btn-info waves-effect waves-light m-t-10" style="width: 100%">Save</button>
              </div>
            </div>
        </form>
      </div>
    </div>
  </div>
  <!--./row-->
</div>
<!-- /.container-fluid -->
<?php $__env->stopSection(); ?>


<?php $__env->startSection('js'); ?>


    <script src="https://s3-us-west-2.amazonaws.com/s.cdpn.io/3/jquery.inputmask.bundle.js"></script>

    
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/proje372/akram-city.projecterp.net/resources/views/hrm/add-employee.blade.php ENDPATH**/ ?>