

<?php $__env->startSection('title'); ?>
All Asset Maintainance
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<ol class="breadcrumb pull-right">
<li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>

<li class="active">Asset Maintainance List</li>
</ol>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
  <div class="container-fluid">
    <div class="row">
                    
<div class="col-sm-12">
                        <div class="white-box">

                            <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'asset-location')): ?>
                           
                             <h3 style="text-align: right;" class="box-title m-b-0">
                                <span style="float: left;">Asset Maintainance List</span><a class="btn btn-info btn-sm" href="<?php echo e(route('create.asset.maintainance')); ?>">Add Asset Maintainance</a></h3>

                             <?php endif; ?>

                            <div class="table-responsive">
                             
                            <?php if(Session::has('success')): ?>   
                            <div id="successMessage" class="alert alert-success" role="alert">
                            <?php echo e(Session::get('success')); ?>

                            </div>
                            <?php endif; ?>

                                <table id="myTable" class="table table-striped table-bordered dataTable color-table primary-table" role="grid" aria-describedby="myTable_info">
                                    <thead>
                                        <tr role="row">

                                            <th style="color: black;" class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Office: activate to sort column ascending" style="width: 100px;">Asset Tag</th>


                                        	<th style="color: black;" class="sorting_asc" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Name: activate to sort column descending" style="width: 100px;">Asset</th>

                                            <th style="color: black;" class="sorting_asc" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Name: activate to sort column descending" style="width: 100px;">Maintainance Type</th>
                                          
                                        	<th style="color: black;" class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Office: activate to sort column ascending" style="width: 100px;">Start Date</th>

                                            <th style="color: black;" class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Office: activate to sort column ascending" style="width: 100px;">End Date</th>

                                            <th style="color: black;" class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Office: activate to sort column ascending" style="width: 100px;">Action</th>


                                        </tr>
                                    </thead>
                                    <tbody>
  
                                    <?php if( $asset_maintainances->count() > 0 ): ?>
                                    <?php $__currentLoopData = $asset_maintainances; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                        <tr role="row" class="odd">

                                            <td><?php echo e($list->asset->asset_tag); ?></td>

                                            <td><?php echo e($list->asset->name); ?></td>

                                            <td><?php echo e($list->type); ?></td>
                                          
                                            <td><?php echo e(date('d-F-Y' , strtotime($list->start_date))); ?></td>

                                            <td><?php echo e(date('d-F-Y' , strtotime($list->end_date))); ?></td>

                                             <td>

                                                
                                                <a style="color:red;" onclick="return validate();" href="<?php echo e(route('delete.asset.maintainance',[$list->id] )); ?>" data-toggle="confirmation" data-title="Are you sure to delete?" ><i class="fa fa-trash-o" aria-hidden="true"></i></a>
                                               

                                                 <a style="margin-left: 1rem;"  href="<?php echo e(route('edit.asset.maintainance',[$list->id] )); ?>"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a>

                                                

                                            </td>

                                        </tr>
                                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>   
                                     <?php endif; ?>

                                      
                                    </tbody>
                                </table>
                                
                            </div>
                            </div>
                        </div>
                    </div>


    </div>

      </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\akram-city.projecterp.net\resources\views/procurement/asset-maintainance/index.blade.php ENDPATH**/ ?>