

<?php $__env->startSection('title'); ?>
Add New Map File 
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
        <li ><a href="<?php echo e(route('balloting.direct.index')); ?>">All Direct Balloting Map Files </a></li>
        <li class="active">Add Map file</li>
      </ol>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

<div class="container-fluid">
                <!--.row-->
                <div class="row">

                    <div class="col-md-12">
                        <div class="white-box">
                            <h3 class="box-title m-b-0"><i class="fa fa-file" aria-hidden="true"></i> Add New Map File
                            <a href="<?php echo e(route('balloting.direct.file.format')); ?>"  class="btn  btn-primary" style="float: right;">
                                          <i class="fa fa-download"></i>&nbsp; Download Direct Balloting Map File Format
                            </a>
                        </h3>
                        <p class="text-muted m-b-30 font-13" style="height: 5px;"> Add the information </p>
                        <hr>
                            <form class="form-horizontal" action="<?php echo e(route('balloting.direct.file.store')); ?>" method="post" enctype="multipart/form-data" style="margin-top: 30px; margin-bottom: 30px;">
                               <?php echo e(csrf_field()); ?>

                               <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('isSuperAdmin')): ?>
                               <div class="form-group">
                                   <div class="col-md-6">
                                       <div class="form-group">
                                           <label style="padding-top: 8px;" class="control-label col-md-4">Select Project<span
                                                   style="color:red">*</span></label>
                                           <div class="col-md-7">
   
                                               
                                               <select id="multipro" class="form-control " name="multipro_id">
   
                                                   <?php $__currentLoopData = $multi_projects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pro): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                       <?php
                                                           $id = Crypt::encrypt($pro->id);
                                                       ?>
                                                       <?php if(old('multipro_id') == $id): ?>
                                                           <option selected="" value="<?php echo e($id); ?>"><?php echo e($pro->name); ?>

                                                           </option>
                                                       <?php else: ?>
                                                           <option value="<?php echo e($id); ?>"><?php echo e($pro->name); ?> </option>
                                                       <?php endif; ?>
                                                   <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
   
                                               </select>
                                               <?php if($errors->has('multipro_id')): ?>
                                                   <span class="help-block">
                                                       <strong><?php echo e($errors->first('multipro_id')); ?></strong>
                                                   </span>
                                               <?php endif; ?>
                                           </div>
   
   
   
                                       </div>
   
                                   </div>
                               </div>
                           <?php endif; ?>
                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label"> Name <span style="color: red">*</span></label>
                                    <div class="col-sm-10">
                                        <div class="input-group" style="width:390px;">

                                            <input  type="text" class="form-control" name="name" value="<?php echo e(old('name')); ?>" id="exampleInputuname" placeholder="Enter Name" required>
                                        <?php if($errors->has('name')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('name')); ?></strong>
                                    </span>
                                <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="excelmapfile" class="col-sm-2 control-label">Excel Map File<span style="color: red">*</span></label>
                                    <div class="col-sm-10">
                                        <div class="input-group" style="width:390px">

                                            <input type="file" class="form-control" name="mapfile"
                                            required>
                                        <?php if($errors->has('mapfile')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('mapfile')); ?></strong>
                                    </span>
                                    <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label"> Description </label>
                                    <div class="col-sm-10">
                                        <div class="input-group" style="width:390px;">

                                            <textarea  type="text" class="form-control" name="description" value="<?php echo e(old('description')); ?>" id="exampleInputuname" placeholder="Enter Description..." style="height: 131px;"></textarea>
                                        <?php if($errors->has('description')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('description')); ?></strong>
                                    </span>
                                    <?php endif; ?>
                                        </div>
                                    </div>
                                </div>

                                

                                <div class="form-group m-b-0">
                                    <div class="col-sm-offset-3 col-sm-9">
                                        <button type="submit" class="btn btn-info waves-effect waves-light m-t-10" style="width: 20%;">Save</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <!--./row-->
            </div>
            <!-- /.container-fluid -->

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\abudhabi\resources\views/balloting/direct/add.blade.php ENDPATH**/ ?>